<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.ItemID,Orders.TotItemWeight,Orders.Att1,Orders.Att2,
	Products.Price,Products.ItemName,Products.SKU,Products.Units 
	FROM Orders, Products 
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = <cfqueryparam value="#TRIM(form.OrderID)#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>

<cfif #showorder.RecordCount# IS 0>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br><br>
<center>
<font face="arial, helvetica" size="-1"><b>Your cart is empty!</b></font><br>
<a href="prodpage.cfm"><font class="boldtext">Back</font></a>
</center>
		<cfinclude template="page_footer.cfm">
<cfabort>
</cfif>

<cfset salestaxinput="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Sales Tax</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(form.taxamt,'99,999.99'))#</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">



<!-- 
*************************************************
DoExpressCheckoutPayment.cfm

This page takes necessary parameter from GetExpressCheckoutDetails page 
and pssing into doHttppost function to perform doExpressCheckout  
This page will show the response value coming from the Server. If any error occurs,
the page will redirect to APIError.cfm to show exact error details

*************************************************
-->


    <center>
	
	<!--
		The cfobject tag is creating object for Credentialinfo component. 
		This component returns credential information.Retrieving form values 
		from getExpresscheckoutdetails.cfm page and setting into appropriate variable
	-->
	<cfobject component="CallerService" name="caller">

<CFTRY>


<cfset StructClear(Session)>
		<!--
			CFHTTP tag accepts necessary parameter for doexpresscheckout 
		 -->

<CFSET requestData = StructNew()>
<CFSET requestData.METHOD = "DoExpressCheckoutPayment">
<CFSET requestData.USER = "#APIUserName#">
<CFSET requestData.PWD = "#APIPassword#">
<CFSET requestData.SIGNATURE = "#APISignature#">
<CFSET requestData.VERSION = "#version#">
<CFSET requestData.TOKEN = "#Form.token#">
<CFSET requestData.PAYERID = "#Form.payerId#">
<CFSET requestData.PAYMENTACTION = "#Form.paymentaction#">
<CFSET requestData.BUTTONSOURCE = "QuickEStore_ShoppingCart_EC_US">
<CFSET requestData.AMT = "#Form.amount#">
<CFSET requestData.CURRENCYCODE = "#Form.currencycode#">
<CFSET requestData.TAXAMT = "#Form.taxamt#">
<CFSET requestData.ITEMAMT = "#Form.itemamt#">
<CFSET requestData.SHIPPINGAMT = "#Form.shippingamt#">
<CFSET requestData.ORDERID = "#Form.orderid#">
<CFSET requestData.COMMENTS = "#Form.comments#">
<!--- 
	Calling doHttppost for API call 
--->
<cfinvoke component="CallerService" method="doHttppost" returnvariable="response">

	<cfinvokeargument name="requestData" value=#requestData#>
	<cfinvokeargument name="serverURL" value=#serverURL#>
	<cfinvokeargument name="proxyName" value=#proxyName#>
	<cfinvokeargument name="proxyPort" value=#proxyPort#>
	<cfinvokeargument name="useProxy" value=#useProxy#>

</cfinvoke>

	
		<cfset responseStruct = caller.getNVPResponse(#URLDecode(response)#)>
		<cfset Session.resStruct = #responseStruct#>
		<cfif responseStruct.Ack is "Success">



		  <center>



<cftransaction>

<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#form.FNAME# #form.LNAME# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#getParams.store_url#/admin/index.cfm">Admin Console</a> to process orders!
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#form.FNAME# #form.LNAME# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#getParams.store_url#/admin/index.cfm">Admin Console</a> to process orders!
</cfmail>	
</cfif>

<cfif not StructKeyExists(responseStruct, "SHIPTOSTREET2")>
	<cfset responseStruct.SHIPTOSTREET2 = "">
</cfif>


	<cfquery datasource="#datasource#">
	INSERT INTO [Customers] ([CustFName], [CustLName], [CustPhone], [CustEMail], [CustAddress1], [CustAddress2], 
	[CustCity], [CustState], [CustZip], [CustCountry], [LastOrderID], [LastOrderDate], [LastOrderAmt], [CCName], [CCType], 
	[CCNum], [CCExpires], [CustPWord]) 
	VALUES('#form.FNAME#','#form.LNAME#', '', '',
	 '#FORM.ADDRESS#', '', '#FORM.CITY#',
	 '#FORM.STATE#', '#FORM.ZIP#', '#FORM.COUNTRY#', #form.OrderID#,
	'#DateFormat(Now(),"MM/DD/YY")#', <cfif #responseStruct.AMT# GT 0>#responseStruct.AMT#<cfelse>0</cfif>, '#form.FNAME# #form.LNAME#', 'PayPal', 'xxxxxxxxxxxxxxxx', '999999', '')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO [OrderHist] ([OrderNum], [CustID], [ItemID], [SKU], [Quantity], [ItemTotal], [TotItemWeight], [Att1], [Att2], [Status]) 
		VALUES(#nextnum#, #getCustomerID.maxid#, #ItemID#,'#SKU#', #Quantity#, #ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Processing Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = #itemID#
		</cfquery>

		<cfset orderitems = "">
		<cfset orderitems="<cfif #parameterexists(orderitems)#>#orderitems#</cfif> 
		<TR BGCOLOR=##E2E2E2><TD><font class='text'>#showorder.ItemName#</font></TD>
		<TD><font class='text'><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
		<TD><font class='text'><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
		<TD><font class='text'><cfif #Len(SKU)# GT 0>#showorder.SKU#<cfelse>&nbsp;</cfif></font></TD>
		<TD><font class='text'>#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
		<TD align=right><font class='text'>#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
		<TD align='right'><font class='text'>#TRIM(NumberFormat(showorder.ItemTotal,'999,999,999.99'))#</font></TD><TD align='right' nowrap>&nbsp;</TD></TR>">


		<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='##E2E2E2'>&nbsp;</TD>
		<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(form.Shippingamt,'99999.99'))#</font></TD>
		<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">


	</cfloop>

	<cfquery datasource="#datasource#">
		INSERT INTO [OrdHistDetail] ([OrderNum], [CustID], [GrandTotal], [Shipping], [SalesTax], 
		[OrderDate], [CustEMail], [Notes], [ShipDate], [ShipMethod], [ShipName], [ShipAddress], [ShipCity], 
		[ShipState], [ShipZip], [AddressStatus], [Comments]) 
		VALUES(#nextnum#, #getCustomerID.maxid#, #responseStruct.AMT#, 
			#FORM.SHIPPINGAMT#, #FORM.TAXAMT#,'#DateFormat(Now(),"MM/DD/YY")#',
			'#FORM.email#','','#DateFormat(Now(),"MM/DD/YY")#', '',
			'#form.FNAME# #form.LNAME#',
			'#FORM.ADDRESS#', '#FORM.CITY#', '#FORM.STATE#', '#FORM.ZIP#', '#FORM.ADDRESSSTATUS#', '#form.comments#')
	</cfquery>



<!--- Delete order from temporary "Orders" table --->

<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE OrderID = <cfqueryparam value="#form.OrderID#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>

</cftransaction>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<cfoutput>
<br>
<table width=40%>
<tr><td>
<font class='boldtext' color="black">Thank you for your order, #form.FNAME#!<br>
Please print this page for your records.</font>
<br>

<p>
<font class='text'>
Name: #form.FNAME# #form.LNAME#<br>
Address - Line 1: #FORM.ADDRESS#<br>
Address - Line 2: <br>
City, State Zip: #FORM.CITY#, #FORM.STATE# #FORM.ZIP#<br>
Country: #FORM.COUNTRY#<br>
Address Status: #FORM.ADDRESSSTATUS#<br>
E-Mail: #FORM.email#<br>
<b>TRANSACTION ID: #responseStruct.TRANSACTIONID#</b>
</font>
<p>
<TABLE CELLSPACING='0' cellpadding='5' border=0 bordercolor='maroon'>
<TR BGCOLOR='A3CCFF'>
<TD><font class='boldtext'>Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD>
<TD><font class='boldtext'>SKU</font></TD>
<TD><font class='boldtext'>Price</font></TD>
<TD align='right'><font class='boldtext'>Qty</font></TD>
<TD align='right'><font class='boldtext'>Total</font></TD><TD align='right'>&nbsp;</TD>
</TR>
#orderitems#
<TR bgcolor='CCE6FF'><TD bgcolor='CCE6FF' colspan=3><font class='boldtext'>Order SubTotal</font></TD>
<TD bgcolor='CCE6FF'>&nbsp;</TD><TD bgcolor='CCE6FF'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='CCE6FF'><font class='boldtext'>#TRIM(NumberFormat(FORM.ITEMAMT,'$99,999.99'))#</font></TD><TD bgcolor='CCE6FF'>&nbsp;</TD></TR>
#shippinglineitem#
#salestaxinput#
<TR><TD><font class='boldtext'>Order Total</font></TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
<TD COLSPAN=4 align='right'><font class='boldtext'>#TRIM(NumberFormat(responseStruct.AMT,'$99,999.99'))#</font></TD></TR>

</TABLE>

<BR>
<p><font class='text'>Back to <a href="#storeurl#/index.cfm" target="_top">Homepage</a></b></font></cfoutput>
</td></tr>
</table>
</CENTER>

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#"  from="#notifyemail#" to="#FORM.EMAIL#" Subject="#storename# Order">
Dear #form.FNAME# #form.LNAME#,

Thank you for your order. Your total charge was #TRIM(NumberFormat(responseStruct.AMT,"$99,999.99"))#.

Sincerely,
#storename# Customer Service Staff
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#FORM.EMAIL#" Subject="#storename# Order">
Dear #form.FNAME# #form.LNAME#,

Thank you for your order. Your total charge was #TRIM(NumberFormat(responseStruct.AMT,"$99,999.99"))#.

Sincerely,
#storename# Customer Service Staff
</cfmail>
</cfif>

		<cfinclude template="page_footer.cfm">
<cfabort>

</center>
</cfif>


	<cfif responseStruct.Ack is "Failure">
		<CFLOCATION URL="APIError.cfm?error=fromServer"> 
	</cfif>

	<!--
		Below hard coded value should coming from response object from the server. 
		Right now server is not available so we hard coded
	-->
<CFCATCH>
	<cfset responseStruct = StructNew() >
	<cfset responseStruct.errorType =  "#cfcatch.type#">
	<cfset responseStruct.errorMessage =  "#cfcatch.message#">
	<cfset Session.resStruct = "#responseStruct#">
	<CFLOCATION URL="APIError.cfm?error=fromClient">
</CFCATCH>
</CFTRY>

</body>
<a class="home" id="CallsLink" href="index.cfm">Home</a>
</html>