<!-- 
*************************************************
ReviewOrder.cfm


When click submit button in the setexpresscheckout.cfm, the page submitted in Orderreview.cfm 
it takes necessary values as parameter and pass into destination URL which returns token and 
payerid.This token we need to pass as parameter for getExpresscheckout which return shipping 
details. Then we need to pass payer id, token and other necessary information for doexpresschekout

*************************************************
-->

<cfset amount = #TRIM(NumberFormat(Form.amount, "999999999.99"))#>


<body>
	<!-- 
		Getting the Credential information from the CredentialInfo component and retrieving amount 
		 from the form object	
	-->


<CFTRY>
	<cfset StructClear(Session)>
	<cfset serverName = #SERVER_NAME#>
	<cfset serverPort = #CGI.SERVER_PORT#>
	<cfset contextPath = GetDirectoryFromPath(#SCRIPT_NAME#)>
	<cfset protocol = #CGI.SERVER_PROTOCOL#>
	<cfset cancelUrlPath = "http://" & serverName & ":" & serverPort & contextPath & "insertorder.cfm?orderid=#Form.orderid#">




<cfif NOT #Parameterexists(form.secureform)#>

<cfif #shipmethod# IS "ups">
	<cfset returnUrlPath = "http://" & serverName & ":" & serverPort & contextPath & "checkout_cart_ppec.cfm?amt=#amount#&taxamt=#Form.taxamt#&itemamt=#Form.itemamt#&shippingamt=#Form.shippingamt#&currencycode=#Form.currency#&orderid=#Form.orderid#&service=#Form.service#&weight=#Form.weight#&paymentaction=#Form.PAYMENTACTION#&comments=#form.comments#">
<cfelse>
	<cfset returnUrlPath = "http://" & serverName & ":" & serverPort & contextPath & "checkout_cart_ppec.cfm?amt=#amount#&taxamt=#Form.taxamt#&itemamt=#Form.itemamt#&shippingamt=#Form.shippingamt#&currencycode=#Form.currency#&orderid=#Form.orderid#&paymentaction=#Form.PAYMENTACTION#&comments=#form.comments#">
</cfif>

<cfelse>

	<cfset returnUrlPath = "https://" & serverName & ":" & serverPort & contextPath & "checkout_cart_ppec.cfm?amt=#amount#&taxamt=#Form.taxamt#&itemamt=#Form.itemamt#&shippingamt=#Form.shippingamt#&currencycode=#Form.currency#&orderid=#Form.orderid#&paymentaction=#Form.PAYMENTACTION#&comments=#form.comments#">

</cfif>



	<CFOBJECT COMPONENT="CallerService" name="caller">
		
	<!-- 
		Passing necessary parameter to perform Setexpresscheckout transaction in the CFHTTP Tag
	-->

	<CFSET requestData = StructNew()>
	<CFSET requestData.METHOD = "SetExpressCheckout">
	<CFSET requestData.PAYMENTACTION = "#Form.PAYMENTACTION#">
	<CFSET requestData.USER = "#APIUserName#">
	<CFSET requestData.PWD = "#APIPassword#">
	<CFSET requestData.SIGNATURE = "#APISignature#">
	<CFSET requestData.VERSION = "#version#">
	<CFSET requestData.AMT = "#amount#">
	<CFSET requestData.TAXAMT = "#Form.taxamt#">
	<CFSET requestData.ITEMAMT = "#Form.itemamt#">
	<CFSET requestData.SHIPPINGAMT = "#Form.shippingamt#">
	<CFSET requestData.CURRENCYCODE = "#Form.currency#">
	<CFSET requestData.ORDERID = "#Form.orderid#">
<cfif #shipmethod# IS "ups">
	<CFSET requestData.SERVICE = "#Form.service#">
	<CFSET requestData.WEIGHT = "#Form.weight#">
</cfif>
	<CFSET requestData.CancelURL = "#cancelUrlPath#">
	<CFSET requestData.ReturnURL = "#returnUrlPath#">

<!--- 
	Calling doHttppost for API call 
--->


	<cfinvoke component="CallerService" method="doHttppost" returnvariable="response">

		<cfinvokeargument name="requestData" value=#requestData#>
		<cfinvokeargument name="serverURL" value=#serverURL#>
		<cfinvokeargument name="proxyName" value=#proxyName#>
		<cfinvokeargument name="proxyPort" value=#proxyPort#>
		<cfinvokeargument name="useProxy" value=#useProxy#>

	</cfinvoke>



	<cfset responseStruct = caller.getNVPResponse(#URLDecode(response)#)>
	<cfset Session.resStruct = #responseStruct#>
	 
	<cfif responseStruct.Ack is not "Success">
		<cfthrow>
	<cfelse>
		<CFSET TOKEN = #responseStruct.TOKEN#>
	</cfif>
	<!--
		cfhttp.FileContent returns token and other response value from the server. 
		We need to pass token as parameter to destination URL which redirect to return URL  
	-->

	<CFSET redirecturl = #PayPalURL# & #TOKEN#>


	 <CFLOCATION URL="#redirecturl#" ADDTOKEN="no">  
<CFCATCH>

<cfset urlPath = "APIError.cfm?error=fromClient&errorType=" & #cfcatch.type# & "&errorMessage=" & #cfcatch.message#>


<cfif "#cfcatch.message#" is not "">

	<cfset responseStruct = StructNew() >
	<cfset responseStruct.errorType =  "#cfcatch.type#">
	<cfset responseStruct.errorMessage =  "#cfcatch.message#">
	<cfset Session.resStruct = "#responseStruct#">
	<CFLOCATION URL="APIError.cfm?error=fromClient">
</cfif>

<cfset urlPath = "APIError.cfm?error=fromServer">

<cfif responseStruct.Ack is "Failure"> 
    <CFLOCATION URL="APIError.cfm?error=fromServer">
</cfif>

</CFCATCH>
</CFTRY>
<a class="home" id="CallsLink" href="index.html">Home</a>
</body>
</html>