<!--- 
UPSRateMonger 5.01.  Original ColdFusion code Copyright 2000-2004, MSB Designs, Inc.
Use and distribute freely.  No warranties express or implied. 
--->

<!--- Initialize the variables.--->
<cfparam name="LineGrab" default="0">
<cfparam name="caller.UPS_Name" default="None.  Error." TYPE="string">
<cfparam name="caller.UPS_Error" default="OK" TYPE="string">
<cfparam name="caller.UPS_Charge" default="0" TYPE="string">
<cfparam name="caller.UPS_Success" default="NO" TYPE="string">
<cfparam name="attributes.Xarea" default="YES" type="string">
<cfif CompareNoCase(attributes.Country,"Canada")>
	<cfquery 
		name="ZoneGrab" 
		datasource="#attributes.SiteDSN#" 
		maxrows="1" 
		username="#request.UPSRUName#" 
		password="#request.UPSRPWD#">
		SELECT 
			ups_ww_zones.Country,
			ups_ww_zones.Xarea,
			ups_ww_zones.WWXPRP,
			ups_ww_zones.WWXPR,
			ups_ww_zones.WWXPRDade,
			ups_ww_zones.WWXPDEast,
			ups_ww_zones.WWXPDWest
		FROM ups_ww_zones
		WHERE 
			ups_ww_zones.Country=
			<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Country#">
	</cfquery>
	<cfif not Compare(ZoneGrab.RecordCount,0)>
		<cfset caller.UPS_Error="That service is unavailable in the destination area. Please try a different plan">
		<cfset caller.UPS_name="NONE. Error">
		<cfset caller.UPS_Success="NO">
		<cfexit>
	</cfif>
	<cfif not CompareNoCase(ZoneGrab.Xarea,"N")>
		<cfset attributes.Xarea="NO">
	</cfif>
	<cfswitch expression="#attributes.Origin#">
		<cfcase value="EAST,WEST,DADE">
			<!---
			Acceptable value.  Do nothing 
			--->
		</cfcase>
		<cfdefaultcase>
			<cfset caller.UPS_Error="The Origin parameter does not contain an acceptable value (must be EAST, WEST or DADE).  Check your call to this tag (UPS_WW.cfm)">
			<cfset caller.UPS_name="NONE. Error">
			<cfset caller.UPS_Success="NO">
			<cfexit>			
		</cfdefaultcase>
	</cfswitch>
<cfelse>
	<cfquery 
		datasource="#attributes.SiteDSN#" 
		name="ZoneGrab" 
		maxrows="1"
		username="#request.UPSRUName#" 
		password="#request.UPSRPWD#">
		SELECT 
			ups_ww_canadazones.RangeStart,
			ups_ww_canadazones.Express,
			ups_ww_canadazones.Expedited,
			ups_ww_canadazones.EAS	
		FROM ups_ww_canadazones
		WHERE 
			ups_ww_canadazones.RangeStart<=
			<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Zip3#">
		ORDER BY 
			ups_ww_canadazones.RangeStart DESC
	</cfquery>
	<cfif CompareNoCase(attributes.Xarea,"YES")>
		<cfif not Compare(ZoneGrab.RecordCount,0)>
			<cfset caller.UPS_Error="We couldn't find the postal code you entered. You may have mistyped the code. Please try again.">
			<cfset caller.UPS_name="NONE. Error">
			<cfset caller.UPS_Success="NO">
			<cfexit>
		</cfif>
	</cfif>
	<cfif not CompareNoCase(ZoneGrab.EAS,"N")>
		<cfset attributes.Xarea="NO">
	</cfif>
</cfif>
<cfswitch expression="#attributes.ServiceType#">
	<cfcase value="WWXPRP">
		<cfset caller.UPS_name="WorldWide Express Plus">
		<cfif CompareNoCase(attributes.Country,"Canada")>
			<cfinclude template="includes/inc_ww_xprp_world.cfm">
		<cfelse>
			<cfinclude template="includes/inc_ww_xprp_canada.cfm">
		</cfif>
	</cfcase>
	<cfcase value="WWXPR">
		<cfset caller.UPS_name="WorldWide Express">
		<cfif CompareNoCase(attributes.Country,"Canada")>
			<cfinclude template="includes/inc_ww_xpr_world.cfm">
		<cfelse>
			<cfinclude template="includes/inc_ww_xpr_canada.cfm">
		</cfif>
	</cfcase>
	<cfcase value="WWXPD">
		<cfset caller.UPS_name="WorldWide Expedited">
		<!--- 
		What happens if the incoming shipping weight is 0 (a valid value for other plans)?
		Change it to the minimum of 1
		--->
		<cfif not Compare(attributes.ShipWeight,0)><cfset attributes.ShipWeight=1></cfif>
		<cfif CompareNoCase(attributes.Country,"Canada")>
			<cfinclude template="includes/inc_ww_xpd_world.cfm">
		<cfelse>
			<cfinclude template="includes/inc_ww_xpd_canada.cfm">
		</cfif>
	</cfcase>
</cfswitch>
<!--- 
Now that we've gone thru the rate process, lets see if it was successful.  If it was,
tack on any special charges that may apply. 
--->
<!--- 
Calculate the Extended Area Surcharge, if any 
--->
<cfif not CompareNoCase(attributes.Xarea,"YES")>
	<!--- The EAS is $20 or 20 cents per pound, whichever is more --->
	<cfset EASCalc=attributes.ShipWeight * attributes.WW_EAS_Rate>
	<cfif EASCalc LT attributes.WW_EAS_Rate>
		<cfset caller.UPS_Charge=caller.UPS_Charge + attributes.WW_EAS_Rate>
	<cfelse>
		<cfset caller.UPS_Charge=caller.UPS_Charge + EASCalc>
	</cfif>		
</cfif>
<cfif CompareNoCase(caller.UPS_Error,"OK")>
	<cfset caller.UPS_name="NONE. Error">
	<cfset caller.UPS_Success="NO">
</cfif>

