<cfinclude template="header.cfm">


<!---  **************************************************************  --->
<!---                Reject request if nothing entered                 --->

<cfif #parameterexists(URL.OrdNum)#>
	<cfif #LEN(URL.OrdNum)# IS 0>
		<BR><BR><BR><BR><BR><BR>
		<center>
		<font face="arial,helvetica">You must enter an order number!<br>
		Please close this window and try again.
		<cfabort>
	</cfif>
</cfif>

<!---               End "nothing entered" error trap                   --->
<!---  **************************************************************  --->


<cfif #parameterexists(URL.CustID)#>

	<cfquery name="custdetail" datasource="#datasource#">
	SELECT * FROM Customers 
	WHERE CustID = <cfif #LEN(URL.CustID)# IS 0>0<cfelse><cfqueryparam value="#URL.CustID#" cfsqltype="CF_SQL_NUMERIC"></cfif>
	</cfquery>

<!---  **************************************************************  --->
<!---              Reject request if customer doesn't exist            --->

	<cfif #custdetail.RecordCount# EQ 0>
		<BR><BR><BR><BR><BR><BR>
		<center>
		<font face="arial,helvetica">That customer is not in this database!<br>
		Please close this window and try again.
		<cfabort>
	</cfif>

<!---               End "no such customer" error trap                  --->
<!---  **************************************************************  --->

	<cfif #LEN(URL.CustID)# GT 0>

	<cfquery name="getorders" datasource="#datasource#">
	SELECT Distinct OrderHist.OrderNum,OrderHist.Status FROM OrderHist 
	WHERE CustID = <cfqueryparam value="#URL.CustID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>

	<cfquery datasource="#datasource#" name="orderdetail">
	SELECT OrderHist.*,Products.* FROM OrderHist 
	LEFT JOIN Products ON OrderHist.ItemID = Products.ItemID 
	WHERE OrderHist.CustID = <cfqueryparam value="#URL.CustID#" cfsqltype="CF_SQL_NUMERIC"> 
	</cfquery>
	
	<cfquery datasource="#datasource#" name="orderdetail2">
	SELECT OrdHistDetail.GrandTotal,OrdHistDetail.Shipping,OrdHistDetail.SalesTax,
	OrdHistDetail.OrderDate,OrdHistDetail.CustEMail,OrdHistDetail.OrderNum,OrdHistDetail.ShipDate, 
	Customers.CCName, Customers.CCType, Customers.CCNum FROM Customers 
	LEFT JOIN OrdHistDetail ON Customers.CustID = OrdHistDetail.CustID 	
	WHERE OrdHistDetail.CustID = <cfqueryparam value="#URL.CustID#" cfsqltype="CF_SQL_NUMERIC"> 
	ORDER BY OrderNum Desc
	</cfquery>

	</cfif>

<body bgcolor="#A3CCFF">
<center>

<cfoutput query="custdetail">
<table bgcolor="##A3CCFF" cellspacing="1" width="550" border="0">
<tr>
<td colspan="3"><font face="arial, helvetica" size="2"><b>#CustFName# #CustLName#</b></font> <font face="arial, helvetica" size="-1">(Cust. No.: #CustID#)</font></td> 
<td><font face="arial, helvetica" size="-1">Card Name - #CCName#</font></td><td>&nbsp;</td>
</tr>
<tr>
<td colspan="3"><font face="arial, helvetica" size="-1">#CustAddress1# #CustAddress2#</font></td>
<td><font face="arial, helvetica" size="-1">Card Type- #CCType#</font></td><td>&nbsp;</td>
</tr>
<tr><td colspan="3"><font face="arial, helvetica" size="-1">#CustCity#, #CustState# #CustZip# #CustCountry#</font></td>
<td><font face="arial, helvetica" size="-1">Card Num. - #CCNum#</font></td><td>&nbsp;</td>
</tr>
<tr><td colspan="3"><font face="arial, helvetica" size="-1">Phone: #CustPhone#</font></td>
<td><font face="arial, helvetica" size="-1">Exp. - #CCExpires#</font></td><td>&nbsp;</td>
</tr>
<tr><td colspan="3"><font face="arial, helvetica" size="-1"><a href="mailto:#CustEMail#">#CustEMail#</a></font></td><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td colspan="5"><font face="arial, helvetica" size="-1">[<a href="editcust.cfm?CustID=#URL.CustID#" target="framebottom">Delete Customer</a>] [<a href="editcust.cfm?CustID=#URL.CustID#&action=edit" target="topframe">Edit Customer</a>]</font><br></td></tr>
</cfoutput>

<tr bgcolor="#E2E2E2">
<td nowrap align="left"><font face="arial, helvetica" size="-1">Date</font></td>
<td nowrap align="right"><font face="arial, helvetica" size="-1">&nbsp;&nbsp;Order #</font></td>
<td nowrap align="left"><font face="arial, helvetica" size="-1">&nbsp;&nbsp;&nbsp;Amt</font></td>
<td nowrap align="left"><font face="arial, helvetica" size="-1">&nbsp;&nbsp;&nbsp;Status</font></td>
<td>&nbsp;</td>
</tr>

<cfloop query="orderdetail2">

<cfquery name="getstatus" datasource="#datasource#">
SELECT Status FROM OrderHist 
WHERE OrderNum = #orderdetail2.OrderNum#
</cfquery>

<cfoutput>
<tr>
<td nowrap align="left"><font face="arial, helvetica" size="-1">#DateFormat(orderdetail2.OrderDate,"MM/DD")#</font></td>
<td nowrap align="right"><font face="arial, helvetica" size="-1">[<a href="ord_detail.cfm?OrderNum=#OrderNum#&CustID=#URL.CustID#" target="framebottom">&nbsp;&nbsp;#OrderNum#</a>]</font></td>
<td nowrap><font face="arial, helvetica" size="-1">&nbsp;&nbsp;&nbsp;#NumberFormat(orderdetail2.GrandTotal,"$999,999,999.99")#  </font></td>
<td nowrap align="left"><font face="arial, helvetica" size="-1">&nbsp;&nbsp;&nbsp;#getstatus.Status# <cfif #getstatus.Status# IS "Order Shipped">(#DateFormat(ShipDate,"MM/DD/YY")#)</cfif></font></td>
<td><font face="arial, helvetica" size="-1">[<a href="deleteperm.cfm?OrderNum=#OrderNum#&CustID=#URL.CustID#" target="framebottom">Delete record</a>]</font></td>
</tr>
</cfoutput>
</cfloop>
</table>

<cfabort>

<cfelseif #parameterexists(URL.OrdNum)#>

	<cfquery name="findorder" datasource="#datasource#">
	SELECT * FROM OrderHist 
	WHERE OrderNum = <cfqueryparam value="#URL.OrdNum#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>


	<cfquery datasource="#datasource#" name="orderdetail2">
	SELECT GrandTotal,Shipping,SalesTax,OrderDate,CustEMail,CustID,ShipDate FROM OrdHistDetail 
	WHERE OrdHistDetail.OrderNum = <cfqueryparam value="#URL.OrdNum#" cfsqltype="CF_SQL_NUMERIC"> 
	</cfquery>

<!---  **************************************************************  --->
<!---              Reject request if order doesn't exist               --->

	<cfif #findorder.RecordCount# EQ 0>
		<BR><BR><BR><BR>
		<center>
		<font face="arial,helvetica">That order does not exist!<br>
		Please close this window and try again.
		<cfabort>
	</cfif>

<!---                  End "no such order" error trap                  --->
<!---  **************************************************************  --->

	

	<cfquery name="getorders" datasource="#datasource#">
	SELECT Distinct OrderHist.OrderNum,OrderHist.Status FROM OrderHist 
	WHERE CustID = #orderdetail2.CustID#
	</cfquery>

	<cfquery name="custdetail" datasource="#datasource#">
	SELECT * FROM Customers 
	WHERE CustID = #orderdetail2.CustID#
	</cfquery>

	<cfquery datasource="#datasource#" name="orderdetail">
	SELECT OrderHist.*,Products.* FROM OrderHist 
	LEFT JOIN Products ON OrderHist.ItemID = Products.ItemID 
	WHERE OrderHist.CustID = #orderdetail2.CustID# 
	</cfquery>
	
	

</cfif>

<html>
<head>
<cfoutput>
<SCRIPT LANGUAGE="JavaScript">
<!-- 
function ordDetail() {
	parent.frames[1].location="ord_detail.cfm?OrderNum=#OrdNum#&CustID=#orderdetail2.CustID#";target="framebottom"
}
// -->
</SCRIPT>
</cfoutput>
</head>

<body bgcolor="#A3CCFF" <cfif #orderdetail2.CustID# NEQ 0>onLoad="ordDetail()"</cfif>>
&nbsp;
</body>
</html>


