<cfinclude template="header.cfm">
	
	<cfquery datasource="#datasource#" name="get_cats">
	SELECT * FROM Categories 
	WHERE CategoryID > 1 
	<cfif #parameterexists(submit)#>
		<cfif submit is "Edit Category">
		AND CategoryID = <cfqueryparam value="#form.CategoryID#" cfsqltype="CF_SQL_NUMERIC">
		</cfif>
	</cfif>
	Order By CategoryID
	</cfquery>

	<cfquery datasource="#datasource#" name="get_subcats">
	SELECT * FROM SubCats, Categories 
	<cfif #parameterexists(SubCatID)#>
	WHERE SubCatID = <cfqueryparam value="#form.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
	AND SubCats.TopCatID = Categories.CategoryID
	<cfelse>
	WHERE SubCats.TopCatID = Categories.CategoryID 
	</cfif>
	ORDER BY Category, SubCatID
	</cfquery>	

<!--- ************************************************************** --->
<!--- Below is the part that loads if you clicked "Add New Category" --->
<!--- ************************************************************** --->

		<cfif #parameterexists(submit)#>
			<cfif #submit# IS "Add Category">
			
			<cfquery datasource="#datasource#" name="get_catid">
			SELECT MAX(CategoryID)+1 as newcatid 
			FROM Categories 
			</cfquery>

			<cfif #get_catid.newcatid# IS ''>
			<cfset newcatid = 1>
			<cfelse>
			<cfset newcatid = #get_catid.newcatid#>
			</cfif>

	<html>
	<head>

	<STYLE TYPE="text/css">
	<!--  -->
	.text {font: 10pt/11pt arial, verdana; text-decoration: none}
	.header {font: 14pt arial, verdana}
	.boldtext {font: bold 10pt/11pt arial, verdana; text-decoration: none}
	.stock
	{
   	 FONT-SIZE: 8pt;
   	 COLOR: black;
  	 FONT-STYLE: normal;
	 FONT-WEIGHT: bold;
   	 FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
   	 TEXT-DECORATION: none;
	 BACKGROUND: #33FF00;
	}
	.nostock
	{
   	 FONT-SIZE: 8pt;
   	 COLOR: #FFCCCC;
  	 FONT-STYLE: normal;
	 FONT-WEIGHT: bold;
   	 FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
   	 TEXT-DECORATION: none;
	 BACKGROUND: red;
	}


	</STYLE>
	<cfoutput>
	<SCRIPT LANGUAGE="JavaScript">
	function makeIRemote() {
   	 remote = window.open("","remotewin","width=550,height=400");
   	 remote.location.href = "preview.cfm?CatID=";
   	     if (remote.opener == null) remote.opener = window; 
   	 remote.opener.name = "opener";
   	 }

	</SCRIPT>
	</cfoutput>
	</head>

	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
			<br><br><br><br>
			<center>
			<form action="save_cats.cfm" enctype="multipart/form-data" method="post">
			<cfoutput>
			<input type="hidden" name="CategoryID" value=#newcatid#></cfoutput>
			<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
			<TR><TD>
			<table width="500" border="0" cellpadding="3" bgcolor="E2E2E2">
			<tr>
			<td align="left"><font face="verdana, arial, helvetica" SIZE="-1"><b>New Category:</b></font></td><td width="30%" colspan="3"><input type="text" name="Category" size=20></td>
			</tr>

			<TR>
			<TD nowrap><font face='verdana, arial, helvetica' SIZE='-1'><b>Category Image:</b></font></TD>
			<TD colspan="3"><input type="file" size="25" name="CatPic" value="<cfif #parameterexists(CatPic)#>#CatPic#</cfif>"> </TD>
			</TR>

			<tr><td width="30%">&nbsp;</td><td align="center"><input type="submit" name="submit" value="Submit New Cat"></td><td width="30%">&nbsp;</td></tr>
			</table>
			</TD></TR>
			</TABLE>
			</form>
			</center>
			<cfabort>

<!--- ************************************************************** --->
<!--- Below is the code for renaming a category                      --->
<!--- ************************************************************** --->

			<cfelseif Submit IS "Rename Category">

				<cfquery datasource="#datasource#" name="rename_cats">
				SELECT * FROM Categories 
				WHERE CategoryID = <cfqueryparam value="#form.CategoryID#" cfsqltype="CF_SQL_NUMERIC">
				</cfquery>	

			<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
			<br><br><br><br>
			<center>

			<table border="1" bgcolor="E2E2E2" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
			<TR><TD>
				<form action="save_cats.cfm?target=cat" METHOD=POST>
				<input type="HIDDEN" name="cat_required" value="Please enter a new name for this category.">
				<cfoutput>
				<input type="HIDDEN" name="OldCategory" value="#rename_cats.Category#">
				<input type="HIDDEN" name="CategoryID" value="#form.CategoryID#">

				<table border="0" cellpadding="3">
				<tr><td nowrap><input type="text" name="cat" value="#rename_cats.Category#" size="35"> <input type="Submit" name="Submit" value="Rename"></td>
				</cfoutput>
				</table>
				<cfabort>
			</td></tr>
			</table>

			<cfelseif  Submit IS "Rename SubCat">

				<cfquery datasource="#datasource#" name="rename_subcats">
				SELECT * FROM SubCats 
				WHERE SubCatID = <cfqueryparam value="#form.SubCatID#" cfsqltype="CF_SQL_NUMERIC"> 
				</cfquery>	


			<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
			<br><br><br><br>
			<center>

			<table border="1" bgcolor="E2E2E2" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">

			<TR><TD>
				<form action="save_cats.cfm?target=subcat" METHOD=POST>
				<input type="HIDDEN" name="subcat_required" value="Please enter a new name for this sub-category.">
				<cfoutput>
				<input type="HIDDEN" name="OldSubCat" value="#rename_subcats.SubCat#">
				<input type="HIDDEN" name="SubCatID" value="#form.SubCatID#">

				<table border="0" cellpadding="3">
				<tr><td nowrap><input type="text" name="subcat" value="#rename_subcats.SubCat#" size="35"> <input type="Submit" name="Submit" value="Rename"></td>
				</cfoutput>
				</table>
				<cfabort>
			</td></tr>

			</table>


			</cfif>
		</cfif>

<!--- End Add Categories --->

<!--- ******************************************* --->
<!---  Below is for deleting a Category and id    --->
<!--- ******************************************* --->

		<cfif #parameterexists(URL.action)#>
			<cfif #URL.action# IS "deletecat">
			<cfquery datasource="#datasource#" name="checkcategory">
			SELECT Products.*,Categories.* FROM Products 
			INNER JOIN Categories ON Products.CategoryID = Categories.CategoryID 
			WHERE Products.CategoryID = <cfqueryparam value="#form.CategoryID#" cfsqltype="CF_SQL_NUMERIC">
			</cfquery>
			
				<cfif #checkcategory.RecordCount# GT 0>
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<center>
				<br><br><br><br>
				<font face="verdana, arial, helvetica" SIZE="-1"><b>That category is not empty! You may only delete empty categories.</b></font>
				<br>
				<a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a>
				<cfabort>
			
				<cfelse>
		
				<cfquery datasource="#datasource#">
				DELETE FROM Categories
				WHERE CategoryID = <cfqueryparam value="#form.CategoryID#" cfsqltype="CF_SQL_NUMERIC">
				</cfquery>
				
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<center>

				<br><br><br><br>
				<table width="500">
				<tr>
				<cfoutput>
				<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>Category: #checkcategory.Category# has been deleted.</b></font></td>
				</cfoutput>
				</tr>

				<tr><td align="center"><a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a></td></tr>
				
				</table>
				<cfabort>
				</cfif>
			</cfif>
		</cfif>

<!---     **************************************************************     --->
<!---     Below is the part that loads if you clicked "Add New Sub-Cat"      --->
<!---     **************************************************************     --->

		<cfif #parameterexists(submit)#>
			<cfif #submit# IS "Add Sub-Category">

				<cfif #get_cats.recordcount# EQ 0>

				<html>
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<BR><BR><BR><BR>
				<center>
				<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
				<TR><TD>
				<table width="500" cellpadding="3" bgcolor="E2E2E2">
				<tr>
				<cfoutput>
				<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>You must enter a category before you can enter a sub-category.</b></font></td>
				</cfoutput>
				</tr>
				<tr><td align="center"><a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a></td></tr>
				</table>
				</TD></TR>
				</TABLE>

				</body>
				</html>

				<cfabort>
				</cfif>

			
			<cfquery datasource="#datasource#" name="get_subcatid">
			SELECT MAX(SubCatID)+1 as newsubcatid 
			FROM SubCats 
			</cfquery>

			<html>
			<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
			<center>
			<br><br><br><br>

			<form action="save_cats.cfm" enctype="multipart/form-data" method="post">
			<cfoutput>
			<input type="hidden" name="SubCatID" value=<cfif LEN(#get_subcatid.newsubcatid#) GT 0>#get_subcatid.newsubcatid#<cfelse>1</cfif>>
			</cfoutput>
			<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
			<TR><TD>
			<table border="0" bgcolor="E2E2E2" width="500" cellpadding="3">
			<tr>
			<td width="30%">&nbsp;</td><td><font face="verdana, arial, helvetica" SIZE="-1"><b>New Sub-Category:</b></font><br><input type="text" name="SubCat" size=20></td>
			<td width="30%">&nbsp;</td>
			</tr>
			<tr>
			<td width="30%">&nbsp;</td><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Sub-Category of:</b></font> <br>
			<select name="TopCatID">
			<cfoutput query="get_cats">
			<option value="#get_cats.CategoryID#">#get_cats.Category#</option>
			</cfoutput>
			</select>
			</td>
			<td width="30%">&nbsp;</td>
			</tr>

			<TR>
			<TD nowrap>&nbsp;</TD>
			<TD colspan="2"><font face='verdana, arial, helvetica' SIZE='-1'><b>Sub-Cat Image:</b></font><br><input type="file" size="25" name="SubCatPic" value="<cfif #parameterexists(SubCatPic)#>#SubCatPic#</cfif>"> </TD>
			</TR>

			<tr><td width="30%">&nbsp;</td><td><br><input type="submit" name="submit" value="Submit New Sub-Cat"></td><td width="30%">&nbsp;</td></tr>
			</table>
			</TD></TR>
			</TABLE>
			</form>

			</center>
			<cfabort>

			</body>
			</html>

			</cfif>


		</cfif>

<!--- End Add Sub-Categories --->

<!--- ***************************************************** --->
<!---        Below is for deleting a Sub-Category and id    --->
<!--- ***************************************************** --->

		<cfif #parameterexists(URL.action)#>
			<cfif #URL.action# IS "deletesubcat"> 
				<cfif #parameterexists(SubCatID)# IS 0>


				<html>
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<br><br><br><br>
				<center>
				<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
				<TR><TD>
				<table width="500" cellpadding="3">
				<tr>
				<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>Sorry, there is no sub-category selected</b></font><br>
				<p>
				<a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a>
				</td>
				</tr>
				</table>
				</TD></TR>
				</TABLE>
				</center>
				<cfabort>
				</cfif>
				
				</body>
				</html>

			<cfquery datasource="#datasource#" name="checksubcategory">
			SELECT Products.*,SubCats.* FROM SubCats 
			RIGHT JOIN Products ON Products.SubCatID = SubCats.SubCatID 
			WHERE Products.SubCatID = <cfqueryparam value="#form.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
			</cfquery>
			
				<cfif #checksubcategory.RecordCount# GT 0>


				<html>
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<br><br><br><br>
				<center>
				<font face="verdana, arial, helvetica" SIZE="-1"><b>That sub-category is not empty! You may only delete empty sub-categories.</b></font>
				<br>
				<a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a>
				<cfabort>
			
				<cfelse>
		
				<cfquery datasource="#datasource#">
				DELETE FROM SubCats
				WHERE SubCatID = #form.SubCatID#
				</cfquery>
				
				<html>
				<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
				<br><br><br><br>
				<center>

				<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
				<TR><TD>
				<table width="500" cellpadding="3">				
				<tr>
				<cfoutput>
				<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>Sub-Category: #get_subcats.SubCat# has been deleted.</b></font></td>
				</cfoutput>
				</tr>
				<tr><td align="center"><a href="edit_cats.cfm"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a></td></tr>
				
				</table>
				</TD></TR>
				</TABLE>
				<cfabort>
				</cfif>
			</cfif>
		</cfif>



<!--- ******************************************* --->
<!---   Below is for adding and editing products  --->
<!--- ******************************************* --->

		<cfif #parameterexists(URL.action)#>
	
			<cfif #URL.action# is "manage">	
			<cfquery datasource="#datasource#" name="getprods">
			SELECT Products.*,SubCats.* FROM SubCats 
			RIGHT JOIN Products ON Products.SubCatID = SubCats.SubCatID 			
			WHERE CategoryID > 1 
			ORDER BY ItemName 
			</cfquery>

			<cfquery datasource="#datasource#" name="getcats">
			SELECT * FROM Categories 
			WHERE CategoryID > 1
			</cfquery>

			<cfquery datasource="#datasource#" name="getsubcats">
			SELECT * FROM SubCats 
			</cfquery>

			<html>
			<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
			<br><br><br><br>
			<center>
			<form action="edit_prods.cfm" METHOD="POST">
			<table border="1" bgcolor="E2E2E2" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
			<TR><TD>						
			<table bgcolor="#E2E2E2" border="0" width="500" cellpadding="3">
			<tr>
			<td class=sums colspan="3" align="center"><font face="Arial, Helvetica" size="-1"><b>Use this form to add a new product.:</b></font></td>
			</tr>
			<tr><td colspan="3" align="center"><input type="submit" name="submit" value="Add Product"> </td></tr>
			</table>
			</TD></TR>
			</TABLE>
			</form>
			<br>
				
		<cfif #getprods.RecordCount# GT 0>
			<form action="edit_prods.cfm?action=editprod" method="post">

			<table border="1" bgcolor="E2E2E2" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
			<TR><TD>
			<table bgcolor="#E2E2E2" border="0" width="500" cellpadding="3">
			<tr><td colspan="3" align="center" nowrap><select name="ItemID">
			<cfoutput query="getprods">

			<cfif #getprods.CategoryID# GT 0>

				<cfquery datasource="#datasource#" name="getprodcat">
				SELECT * FROM Categories 
				WHERE CategoryID = #getprods.CategoryID#
				</cfquery>

			</cfif>

			<option value=#ItemID#>#ItemName# (#getprodcat.Category#)</option></cfoutput>
			</select> <input type="submit" name="submit" value="Edit Product"> <input type="submit" name="submit" value="Copy Product"> <input type="submit" name="submit" value="Delete Product"></td>
			</tr>
			</table>
			</TD></TR>
			</TABLE>
			</form>
			<p>
		
			

		</cfif>
		<cfabort>
		</cfif>
		</cfif>

<!--- ******************************************* --->
<!---           This form loads first             --->
<!--- ******************************************* --->
	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
	<br><br><br><br>
	<center>

	<table border="1" bgcolor="E2E2E2" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
	<TR><TD>
		<table border="0" cellpadding="3">
	<cfif #get_cats.RecordCount# GT 0>
		<tr><td align="left">
			<form action="edit_cats.cfm?action=deletecat" method="post">
			<table bgcolor="#E2E2E2" cellpadding="1" width="500" border="0">
			<tr><td valign="bottom" width="30%" align="left"><input type="submit" name="submit" value="Delete Category"></td>
			<td><select name="CategoryID">
			<cfoutput query="get_cats">
			<option value=#CategoryID#>#Category#</option></cfoutput>
			</select><br>
			</td>
			<td valign="bottom" align="left"><input type="submit" name="submit" value="Rename Category"></td>
			</tr>
			</table>
			</form>
	</td></tr>
	<cfelse>
	<tr><td nowrap align="center">
		<table bgcolor="#E2E2E2" cellpadding="1" border="0" width="500">
		<tr>
		<td align="center" valign="bottom" width="40%"><font face="verdana, arial, helvetica" SIZE="-1">
		Add Categories first. Then, optionally, add sub-categories.<br>Define attributes, if you plan to use them, before adding products.</font>
		</td></tr></table>
	</td></tr>
	</cfif>
	</td></tr>
	</table>

		<table border="0" cellpadding="3">
		<cfif #get_subcats.RecordCount# GT 0>


		<tr><td nowrap align="left">
			<form action="edit_cats.cfm?action=deletesubcat" method="post">
			<table bgcolor="#E2E2E2" cellpadding="0" width="500">
			<tr><td valign="bottom" width="38%" align="left"> <input type="submit" name="submit" value="Delete Sub-Category"></td>
			<td nowrap align="left" valign="bottom"> <select name="SubCatID"><cfoutput query="get_subcats">
			<option value=#SubCatID#>#SubCat# (#Category#)</option></cfoutput></select>
			</td>

		<td valign="bottom" align="left"><input type="submit" name="submit" value="Rename SubCat"></td>
		</tr>
		</table>
		</form>
	</td></tr>
	</cfif>

	<tr><td bgcolor="#E2E2E2" nowrap align="center">
		<table border="0" cellpadding="0" cellspacing="0" width="500">
		<form action="edit_cats.cfm?action=addnewcat" METHOD="POST">
		<tr><td nowrap width="50%" <cfif #get_cats.RecordCount# GT 0>align="left"<cfelse>align="center"</cfif>><input type="submit" name="submit" value="Add Category"> <input type="submit" name="submit" value="Add Sub-Category"></td></tr>
		</form>
		</table>

	</TD></TR>
	</TABLE>
	</center>
	
	
