<cfinclude template="header.cfm">

<cfquery datasource="#datasource#" name="getcats">
SELECT * FROM Categories 
WHERE CategoryID > 1
ORDER BY CategoryID
</cfquery>

<cfquery datasource="#datasource#" name="getsubcats">
SELECT * FROM SubCats, Categories 
WHERE SubCats.TopCatID = Categories.CategoryID  
ORDER BY Category, SubCatID
</cfquery>

<cfif #parameterexists(form.ItemID)#>
<cfquery datasource="#datasource#" name="get_prods">
SELECT Products.*,Categories.* FROM Products, Categories
WHERE Products.CategoryID = Categories.CategoryID   
AND Products.ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>

<cfquery datasource="#datasource#" name="get_catid">
SELECT CategoryID  
FROM Products
WHERE Products.ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>
</cfif>

<!--- ********************************************************* --->
<!--- Below is the part that loads if you clicked "Add Product" --->
<!--- ********************************************************* --->

<cfquery datasource="#datasource#" name="getattribs">
SELECT * FROM Attributes 
ORDER BY AttributeNum
</cfquery>


<cfif #parameterexists(submit)#>
	<cfif #submit# is "Add Product">	
	
	<cfquery datasource="#datasource#" name="get_itemid">
	SELECT MAX(ItemID)+1 as newitemid 
	FROM Products 
	</cfquery>

	<cfif #get_itemid.newitemid# IS ''>
	<cfset newitemid = 1>
	<cfelse>
	<cfset newitemid = #get_itemid.newitemid#>
	</cfif>
	
	<html>
	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
	<center>

	<form action="save_prods.cfm" enctype="multipart/form-data" method="post">
	<input type="hidden" name="ItemName_required" value="Please enter a name for this product">
	<input type="hidden" name="CategoryID_required" value="No category defined. Please create a category.">
	<input type="hidden" name="taxable" value="off">
	<input type="hidden" name="new" value="off">
	<cfoutput>
	<input type="hidden" name="ItemID" value=#newitemid#>
	</cfoutput>
	<table border="0" width="70%">
	<tr><td nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Category:<b></font></td><td colspan=4 nowrap><select name="CategoryID">
	<cfoutput query="getcats">
	<option value=#CategoryID#>#Category#</option>
	</cfoutput>
	</select>
	&nbsp;&nbsp;&nbsp;<font face="verdana, arial, helvetica" SIZE="-1"><b>Sub-Category:</b></font> &nbsp;&nbsp;&nbsp;<select name="SubCatID">
	<option value=0></option>
	<cfoutput query="getsubcats">
	<option value=#SubCatID#>#SubCat# (#Category#)</option>
	</cfoutput>
	</select>
	</td></tr>

	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Product SKU:</b></font></td><td colspan="4"><input type="text" name="SKU" size="15" value=""></td></tr>
	
	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Product Name:</b></font></td><td colspan="4"><input type="text" name="ItemName" size="55" value=""></td></tr>
	
	<tr><td valign="top"><font face="verdana, arial, helvetica" SIZE="-1"><b>Description:</b></font></td><td colspan="4"><textarea name="Description" cols="50" rows="6" value="" wrap="virtual"></textarea></td></tr>
	
	<tr><td nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Price:</b></font></td><td width="20%" nowrap colspan="4"><input type="text" name="Price" size="6"> <font face="verdana, arial, helvetica" SIZE="-1"><b>MSRP:</b></font> <input type="text" name="MSRP" size="6" VALUE="0"> <input type="checkbox" name="taxable" CHECKED> <font face="verdana, arial, helvetica" SIZE="-1"><b>Taxable</b></font><input type="checkbox" name="New" value="on"> <font face="verdana, arial, helvetica" SIZE="-1"><b>New</b></font></td>
	</tr>

	<tr><td nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Item discounted by:</b></font></td><td width="20%" nowrap colspan="4"><input type="text" name="DiscAmt" size="3" value="0"> <input type="radio" name="DiscIsPct" size="6" VALUE="0" CHECKED> <font face="verdana, arial, helvetica" SIZE="-1"><b>$</b></font> <input type="radio" name="DiscIsPct" value=1> <font face="verdana, arial, helvetica" SIZE="-1"><b>% when <input type="text" name="DiscTrigger" size="3" VALUE="0"> or more are purchased.</b></font> </td>
	</tr>
	
	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Weight:</b></font></td><td colspan="4"><input type="text" name="Weight" size="6" value="0"> <font face="verdana, arial, helvetica" SIZE="-1"><b>ounces</b></font></td></tr>
	
	<TR>
	<TD nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Product Image:</b></font></TD>
	<TD colspan="4"><input type="file" size="20" name="ItemPic"></TD>
	</TR>
	<TR>
	<TD nowrap width="10%"><font face="verdana, arial, helvetica" SIZE="-1"><b>Thumbnail:</b></font></TD>
	<TD colspan="4" align="left"><input type="file" size="20" name="Thumbnail"></TD>
	</TR>

	<tr><td nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Qty Onhand:</b></font> </td>
	<td nowrap><input type="text" name="Qty_In_Stock" size="4" value="1000"> &nbsp;&nbsp;&nbsp;<font face="verdana, arial, helvetica" SIZE="-1"><b>Safety Stock:</b></font>  &nbsp;&nbsp;&nbsp;<input type="text" name="Safety_Stock" size="4" value="1"></td>
	<td colspan="3" nowrap>&nbsp;&nbsp;&nbsp;<font face="verdana, arial, helvetica" SIZE="-1"><b>Selling Units</b></font> <select name="Units"><option value="" SELECTED></option>
	<option>each</option>
	<option>case</option>
	<option>dozen</option>
	<option>oz.</option>
	<option>lb.</option>
	<option>gal.</option>
	</select>
	</td>
	</tr>
	
	<tr><td colspan=2><font face="verdana, arial, helvetica" SIZE="-1"><b>Display Qty Onhand on Product Page?:</b></font></td> 
	<td colspan=3><SELECT NAME="Show_Inventory">
	<OPTION VALUE=1>Y
	<OPTION VALUE=0>N
	</SELECT>
	</td>
	</tr>

	<tr><td colspan=2><font face="verdana, arial, helvetica" SIZE="-1"><b>Allow orders when inventory equals zero?:</b></font></td> 
	<td colspan=3><SELECT NAME="shipable">
	<OPTION VALUE=1>Y
	<OPTION VALUE=0>N
	</SELECT>
	</td>
	</tr>

	<cfif #getattribs.RecordCount# GT 0>
	<tr>
	<td valign="top"><font face="verdana, arial, helvetica" SIZE="-1"><b>Choose up to 2 Attributes (optional):</b></font></td>
	<td valign="top" nowrap>
	<select name="Attribs" size="4" multiple>
	<cfoutput query="getattribs">
	<option>#Attribute#</option>
	</cfoutput>
	</select>
	</td>
	<td width="40%">&nbsp;</td></tr>
	<cfelse>
	<tr><td colspan="5">&nbsp;</td></tr>
	</cfif>

	<tr><td colspan=2 width="50%"><font face="verdana, arial, helvetica" SIZE="-1"><b>Select product layout template:</b></font></td><td colspan="3">&nbsp;</td></tr>
	<tr><td colspan=2 nowrap width="50%">
	<input type="Radio" name="Layout" value="L"><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image left, description right.</b></font><br>
	<input type="Radio" name="Layout" value="R"><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image right, description left.</b></font><br>
	<input type="Radio" name="Layout" value="T" CHECKED><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image top, description bottom.</b></font><br>
	<input type="Radio" name="Layout" value="B"><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image bottom, description top.</b></font><br>
	<br>
	</td><td colspan="3">&nbsp;</td></tr>

	<tr><td colspan=5><input type="submit" name="submit" value="Submit New Product"></td></tr>
	</table>
	</form>
	</center>
	<cfabort>
	</cfif>
</cfif>

<!--- End Add Products --->

<!--- ************************************** --->
<!--- Below is for deleting a product and id --->
<!--- ************************************** --->

<cfif #parameterexists(submit)#>
	<cfif #submit# is "Delete Product">

	<cfquery datasource="#datasource#" name="deleteprods">
	SELECT * FROM Products
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>
	
	<cfquery datasource="#datasource#">
	DELETE FROM Products
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>


	<cfquery datasource="#datasource#" name="deletepics">
	SELECT * FROM ProdPics
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>
	
		<cfif #deletepics.recordcount# GT 0>
		<CFDirectory ACTION="LIST" NAME="GetThumbs" DIRECTORY="#storepath#\images" filter="#deletepics.ItemPic#" SORT="datelastmodified DESC">
		<cfif #GetThumbs.recordcount# GT 0>

		<CFIF NOT #deletepics.ItemPic# IS "noprod.gif">

		<CFFile ACTION="delete" FILE="#storepath#\images\#deletepics.ItemPic#">

		</cfif>

		</cfif>
		
		<CFDirectory ACTION="LIST" NAME="GetPics" DIRECTORY="#storepath#\images" filter="th_#deletepics.ItemPic#" SORT="datelastmodified DESC">
		<CFIF NOT #deletepics.ItemPic# IS "noprod.gif">

		<cfif #GetPics.recordcount# GT 0>

		<CFFile ACTION="delete" FILE="#storepath#\images\th_#deletepics.ItemPic#">

		</cfif>

		</cfif>

		</cfif>

		<cfif #deletepics.RecordCount# GT 0>
		<cfquery datasource="#datasource#">
		DELETE FROM ProdPics
		WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
		</cfquery>
		</cfif>

	<html>
	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
	<br><br><br><br>
	<center>

	<table width="500">
	<tr>
	<cfoutput>
	<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>Product: #deleteprods.ItemName# has been deleted.</b></font></td>
	</cfoutput>
	</tr>
	<tr><td align="center"><a href="edit_cats.cfm?action=manage"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a></td></tr>
	
	</table>
	<cfabort>
	</cfif>
</cfif>

<!--- *******************************************  --->
<!---         Below is for editing products        --->
<!--- *******************************************  --->

<cfif #parameterexists(submit)#>
	<cfif #submit# is "Edit Product">

	<cfquery datasource="#datasource#" name="product_detail">
	SELECT Products.*,ProdPics.* FROM Products 
	LEFT JOIN ProdPics ON ProdPics.ItemID=Products.ItemID 
	WHERE Products.ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>
	
	<cfquery datasource="#datasource#" name="getattribs">
	SELECT * FROM Attributes 
	ORDER BY AttributeNum
	</cfquery>

	<cfquery datasource="#datasource#" name="Attrib1">
	SELECT * FROM Attributes  
	WHERE Attribute = '#product_detail.A1#'
	</cfquery>

	<cfquery datasource="#datasource#" name="Attrib2">
	SELECT * FROM Attributes  
	WHERE Attribute = '#product_detail.A2#'
	</cfquery>


		<cfif #product_detail.RecordCount# LTE 0>
		<cfquery datasource="#datasource#" name="product_detail">
		SELECT Products.*,Categories.* FROM Products
		INNER JOIN Categories on Products.CategoryID = Categories.CategoryID
		WHERE Products.ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">  
		ORDER BY Products.CategoryID,Products.ItemName
		</cfquery>
		</cfif>
	
	<html>
	<head>

	<STYLE TYPE="text/css">
	<!--  -->
	.text {font: 10pt/11pt arial, verdana; text-decoration: none}
	.header {font: 14pt arial, verdana}
	.boldtext {font: bold 10pt/11pt arial, verdana; text-decoration: none}
	.stock
	{
   	 FONT-SIZE: 8pt;
   	 COLOR: black;
  	 FONT-STYLE: normal;
	 FONT-WEIGHT: bold;
   	 FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
   	 TEXT-DECORATION: none;
	 BACKGROUND: #33FF00;
	}
	.nostock
	{
   	 FONT-SIZE: 8pt;
   	 COLOR: #FFCCCC;
  	 FONT-STYLE: normal;
	 FONT-WEIGHT: bold;
   	 FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
   	 TEXT-DECORATION: none;
	 BACKGROUND: red;
	}


	</STYLE>
	<cfoutput>
	<SCRIPT LANGUAGE="JavaScript">
	function makeIRemote() {
   	 remote = window.open("","remotewin","width=550,height=400");
   	 remote.location.href = "preview.cfm?ItemID=#form.ItemID#&th=";
   	     if (remote.opener == null) remote.opener = window; 
   	 remote.opener.name = "opener";
   	 }

	function makeTRemote() {
   	 remote = window.open("","remotewin","width=550,height=400");
   	 remote.location.href = "preview.cfm?ItemID=#form.ItemID#&th=y";
   	     if (remote.opener == null) remote.opener = window; 
   	 remote.opener.name = "opener";
   	 }

	</SCRIPT>
	</cfoutput>
	</head>

	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
	<center>



	<form action="save_prods.cfm" enctype="multipart/form-data" method="post">
	<cfoutput query="product_detail">
	<input type="hidden" name="ItemID" value=#form.ItemID#>
	<input type="hidden" name="Layout_Required" value="Please choose a product layout template">
	<input type="hidden" name="taxable" value="off">
	<input type="hidden" name="New" value="off">
	</cfoutput>
	<table border="0" width="70%">
	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Category:</b></font></td><td colspan=4 nowrap><select name="CategoryID">
	<option value=0 <cfif #get_catid.CategoryID# IS 0>SELECTED</cfif>></option>
	<cfoutput query="getcats">
	<option value=#CategoryID# <cfif #get_catid.CategoryID# IS #getcats.CategoryID#>SELECTED</cfif>>#Category#</option>
	</cfoutput>
	</select>&nbsp;&nbsp;&nbsp;<font face="verdana, arial, helvetica" SIZE="-1"><b>Sub-Category:<b></font>  &nbsp;&nbsp;&nbsp;<select name="SubCatID">
	<option value=0 <cfif #get_prods.SubCatID# IS 0>SELECTED</cfif>></option>
	<cfoutput query="getsubcats">
	<option value=#SubCatID# <cfif #get_prods.SubCatID# IS #getsubcats.SubCatID#>SELECTED</cfif>>#SubCat# (#Category#)</option>
	</cfoutput>
	</select>
	</td>
	</tr>

	<cfoutput query="product_detail">
	<tr>
	<td colspan=1><font face="verdana, arial, helvetica" SIZE="-1"><b>Product SKU:</b></font></td>
	<td colspan="4" width="70%" nowrap><input type="text" name="SKU" size="15" value="#SKU#"></td>
	</tr>
	
	<tr>
	<td colspan=1><font face="verdana, arial, helvetica" SIZE="-1"><b>Product Name:</b></font></td>
	<td colspan="4" width="70%" nowrap><input type="text" name="ItemName" size="25" value="#ItemName#"></td>
	</tr>
	
	<tr><td valign="top" colspan=1><font face="verdana, arial, helvetica" SIZE="-1"><b>Description:</b></font></td><td colspan="4"><textarea name="Description" cols="50" rows="6" wrap="virtual">#Description#</textarea></td></tr>
	
	<tr><td valign="bottom" nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Price:</b></font></td><td valign="bottom" nowrap colspan="4"><input type="text" name="Price" size="9" value=#TRIM(NumberFormat(Price,'999999999.99'))#>  <font face="verdana, arial, helvetica" SIZE="-1"><b>MSRP:</b></font> <input type="text" name="MSRP" size="6" value=#TRIM(NumberFormat(MSRP,'999999999.99'))#> <input type="checkbox" name="taxable" <cfif #Taxable# EQ 1>CHECKED</cfif>> <font face="verdana, arial, helvetica" SIZE="-1"><b>Taxable</b></font> 
	<input type="checkbox" name="New" <cfif #New# EQ 1>CHECKED</cfif>> <font face="verdana, arial, helvetica" SIZE="-1"><b>New</b></font></td>
	</tr>
	
	<tr><td nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Item discounted by:</b></font></td><td width="20%" nowrap colspan="4"><input type="text" name="DiscAmt" size="3" value=#TRIM(NumberFormat(DiscAmt,'999999999.99'))#> <input type="radio" name="DiscIsPct" size="6" VALUE="0" <cfif #DiscIsPct# EQ 0>CHECKED</cfif>> <font face="verdana, arial, helvetica" SIZE="-1"><b>$</b></font> <input type="radio" name="DiscIsPct" <cfif #DiscIsPct# EQ 1>CHECKED</cfif>> <font face="verdana, arial, helvetica" SIZE="-1"><b>% when <input type="text" name="DiscTrigger" size="3" value=#TRIM(NumberFormat(DiscTrigger,'999999999.99'))#> or more are purchased.</b></font> </td>
	</tr>

	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Weight:</b></font></td><td colspan="4"><input type="text" name="Weight" size="6" value=#NumberFormat(Weight,'____.__')#> <font face="verdana, arial, helvetica" SIZE="-1"><b>ounces</b></font></td></tr>
	
	<TR>
	<TD nowrap><font face='verdana, arial, helvetica' SIZE='-1'><b>Product Image:</b></font></TD>
	<TD colspan="4"><input type="file" size="25" name="ItemPic" value="<cfif #parameterexists(ItemPic)#>#ItemPic#</cfif>"> <a href="javascript:makeIRemote()";><font face='verdana, arial, helvetica' SIZE='-2'><b>[Preview Image]</b></font></a></TD>
	</TR>

	<TR>
	<TD nowrap><font face='verdana, arial, helvetica' SIZE='-1'><b>Thumbnail:</b></font></TD>
	<TD colspan="4"><input type="file" size="25" name="Thumbnail" value="<cfif #parameterexists(Thumbnail)#>#Thumbnail#</cfif>"> <a href="javascript:makeTRemote()";><font face='verdana, arial, helvetica' SIZE='-2'><b>[Preview Image]</b></font></a></TD>
	</TR>

	<tr><td><font face="verdana, arial, helvetica" SIZE="-1"><b>Qty Onhand:</b></font> </td>
	<td nowrap><input type="text" name="Qty_In_Stock" size="4" value=#Qty_In_Stock#> &nbsp;&nbsp;&nbsp;<font face="verdana, arial, helvetica" SIZE="-1"><b>Safety Stock:</b></font>  &nbsp;&nbsp;&nbsp;<input type="text" name="Safety_Stock" size="4" value=#Safety_Stock#></td>
	<td colspan="3" nowrap><font face="verdana, arial, helvetica" SIZE="-1"><b>Selling Units</b></font>
	<select name="Units">
	<option value="" <cfif #LEN(Units)# IS 0>SELECTED</cfif>></option>
	<option <cfif #Units# IS "each">SELECTED</cfif>>each</option>
	<option <cfif #Units# IS "case">SELECTED</cfif>>case</option>
	<option <cfif #Units# IS "dozen">SELECTED</cfif>>dozen</option>
	<option <cfif #Units# IS "oz.">SELECTED</cfif>>oz.</option>
	<option <cfif #Units# IS "lb.">SELECTED</cfif>>lb.</option>
	<option <cfif #Units# IS "gal.">SELECTED</cfif>>gal.</option>
	</select>
	</td>


	</tr>

	<tr><td colspan=5><font face="verdana, arial, helvetica" SIZE="-1"><b>Display Qty Onhand on Product Page?:</b></font> 
	<SELECT NAME="Show_Inventory">
	<OPTION VALUE=1 <cfif #get_prods.Show_Inventory# IS 1>SELECTED</cfif>>Y
	<OPTION VALUE=0 <cfif #get_prods.Show_Inventory# IS 0>SELECTED</cfif>>N
	</SELECT>
	</td>
	</tr>

	<tr><td colspan=5><font face="verdana, arial, helvetica" SIZE="-1"><b>Allow orders when inventory equals zero?:</b></font> 
	<SELECT NAME="Shipable">
	<OPTION VALUE=1 <cfif #get_prods.Shipable# IS 1>SELECTED</cfif>>Y
	<OPTION VALUE=0 <cfif #get_prods.Shipable# IS 0>SELECTED</cfif>>N
	</SELECT>
	</td>
	</tr>
	</cfoutput>

	<cfif #LEN(get_prods.A1Vals)# EQ 0 AND #LEN(get_prods.A2Vals)# EQ 0> <!-- Product has no attributes but attributes are defines -->
		<cfif #getattribs.RecordCount# GT 0>
		<tr>
		<td valign="top"><font face="verdana, arial, helvetica" SIZE="-1"><b>Choose up to 2 Attributes (optional):</b></font></td>
		<td valign="top" colspan=4 nowrap>
		<select name="Attribs" size="4" multiple>
		<cfoutput query="getattribs">
		<option>#Attribute#</option>
		</cfoutput>
		</select>
		</td>
		</tr>
		<cfelse>
		<tr><td colspan=5>&nbsp;</td></tr>
		</cfif>

	<cfelse> <!-- Product has attributes -->

	<tr><td valign="top"><b><cfoutput><font class="boldtext">#get_prods.A1#</font></cfoutput>:</b></td>
	<td valign="top" colspan=4 nowrap>
		<cfif #LEN(get_prods.A1Vals)# GT 0>
		<select name="Attrib1" size="3" multiple>
		<cfset attarray = #ListToArray(Attrib1.AttValues, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<cfoutput query="get_prods">
		<option <cfif "#ListFind(A1Vals,attarray[i])#" IS NOT 0>SELECTED</cfif>>#attarray[i]#</option>
		</cfoutput>
		</cfloop>
		</select>
	
		<cfelse>
		&nbsp;.</cfif>
	</td>
	
	<td valign="top">
		<cfif #LEN(get_prods.A2Vals)# GT 0>
		<b><cfoutput><font class="boldtext">#get_prods.A2#</font></cfoutput>:</b></td>
		<td valign="top">
	
		<select name="Attrib2" size="3" multiple>
		<cfset attarray2 = #ListToArray(Attrib2.AttValues, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray2)#>
		<cfoutput query="get_prods">
		<option <cfif "#ListFind(A2Vals,attarray2[i])#" IS NOT 0>SELECTED</cfif>>#attarray2[i]#</option>
		</cfoutput>
		</cfloop>
		</select><cfelse>&nbsp;..</cfif>
	</td>

	</cfif>



	<tr>
	<td width="20%" colspan=1>&nbsp;</td>
	<td width="20%" colspan=1>&nbsp;</td>
	<td width="20%" colspan=1>&nbsp;</td>
	<td width="20%" colspan=1>&nbsp;</td>
	<td width="20%" colspan=1>&nbsp;</td>
	</tr>

	<tr><td colspan="5"><font face="verdana, arial, helvetica" SIZE="-1"><b>Select product layout template:</b></font></td></tr>
	<tr><td colspan="5">
	<input type="Radio" name="Layout" value="L" <cfif #product_detail.Layout# IS "L">CHECKED</cfif>><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image left, description right.</b></font><br>
	<input type="Radio" name="Layout" value="R" <cfif #product_detail.Layout# IS "R">CHECKED</cfif>><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image right, description left.</b></font><br>
	<input type="Radio" name="Layout" value="T" <cfif #product_detail.Layout# IS "T">CHECKED</cfif>><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image top, description bottom.</b></font><br>
	<input type="Radio" name="Layout" value="B" <cfif #product_detail.Layout# IS "B">CHECKED</cfif>><font face="verdana, arial, helvetica" SIZE="-1"><b>Product image bottom, description top.</b></font><br>
	<br>
	</td></tr>
	
	<tr><td colspan="5"><input type="submit" name="submit" value="Submit Update"></td>
	</tr>
	</table>
	</form>
	<cfabort>
	</cfif>
</cfif>

<!--- *******************************************  --->
<!---         Below is for copying products        --->
<!--- *******************************************  --->


<cfif #parameterexists(submit)#>
	<cfif #submit# is "Copy Product">
	<cfquery datasource="#datasource#" name="getprods">
	SELECT Products.*,SubCats.* FROM SubCats 
	RIGHT JOIN Products ON Products.SubCatID = SubCats.SubCatID 			
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC"> 
	ORDER BY ItemName 
	</cfquery>

	<cfquery datasource="#datasource#" name="getpic">
	SELECT * FROM ProdPics 
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC"> 
	</cfquery>
	<cfquery datasource="#datasource#" name="getcats">
	SELECT * FROM Categories 
	WHERE CategoryID > 1
	</cfquery>
	<cfquery datasource="#datasource#" name="getsubcats">
	SELECT * FROM SubCats, Categories 
	WHERE SubCats.TopCatID = Categories.CategoryID  
	ORDER BY Category, SubCatID
	</cfquery>

	<html>
	<body bgcolor="#FFFFFF">
	<center>
	<BR><BR><BR><BR><BR>

	<form action="edit_prods.cfm" method="post">
	<cfoutput>
	<input type="hidden" name="SKU" value="#getprods.SKU#">
	<input type="hidden" name="ItemID" value="#form.ItemID#">
	<input type="hidden" name="Description" value="#TRIM(getprods.Description)#">

	<input type="hidden" name="Price" value="#getprods.Price#">
	<input type="hidden" name="MSRP" value="#getprods.MSRP#">
	<input type="hidden" name="DiscAmt" value="#getprods.DiscAmt#">
	<input type="hidden" name="DiscIsPct" value="#getprods.DiscIsPct#">
	<input type="hidden" name="DiscTrigger" value="#getprods.DiscTrigger#">
	<input type="hidden" name="Show_Inventory" value="#getprods.Show_Inventory#">
	<input type="hidden" name="Weight" value="#getprods.Weight#">
	<input type="hidden" name="A1" value="#getprods.A1#">
	<input type="hidden" name="A1Vals" value="#getprods.A1Vals#">
	<input type="hidden" name="A2" value="#getprods.A2#">
	<input type="hidden" name="A2Vals" value="#getprods.A2Vals#">
	<input type="hidden" name="Units" value="#getprods.Units#">
	<input type="hidden" name="Layout" value="#getprods.Layout#">
	<input type="hidden" name="ItemPic" value="#getpic.ItemPic#">
	<input type="hidden" name="Thumbnail" value="#getpic.Thumbnail#">
	<cfif #getsubcats.RecordCount# EQ 0>
	<input type="hidden" name="SubCatID" value="0">
	</cfif>
	</cfoutput>
	<input type="hidden" name="newprodname_required" value="Please enter a new name for this product">
	
	<table border="1" bgcolor="CECECE" bordercolor="gray" bordercolordark="FFEAEE" bordercolorlight="BLACK">
	<TR><TD>
	<table bgcolor="#E2E2E2" border="0" width="500" cellpadding="3">
	<tr><td><font face="Arial" size="-1">New product name:</font></td><td colspan="2"> <input type="text" name="newprodname" size="15" value=""></td>
	</tr>

	<tr><td><font face="Arial" size="-1">New product category:</font></td>
	<td colspan="2" align="left" nowrap><select name="CategoryID">
	<cfoutput query="getcats">
	<option value=#CategoryID#>#Category#</option></cfoutput>
	</select>
	</td>
	</tr>
	
	<cfif #getsubcats.RecordCount# GT 0>
	<tr><td><font face="Arial" size="-1">New product sub-category:</font></td>
	<td colspan="2" align="left" nowrap><select name="SubCatID">
	<option value="0"></option>
	<cfoutput query="getsubcats">
	<option value=#SubCatID#>#SubCat# (#Category#)</option></cfoutput>
	</select>
	</td>
	</tr>
	</cfif>

	<tr><td colspan="3" align="left"> <input type="submit" name="submit" value="Save New Product"></td></tr>
	</table>
	</td></tr>
	</table>
	</form>
	<p>
	</center>
	</body>
	</html>

<cfabort>
</cfif>
</cfif>


<cfif #parameterexists(submit)#>
	<cfif #submit# is "Save New Product">
	
	<cfquery datasource="#datasource#">
	SELECT * FROM ProdPics
	WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>

	<cfquery datasource="#datasource#" name="nextprodid">
	SELECT MAX(ItemID) + 1 as newid FROM Products
	</cfquery>

	<cfquery datasource="#datasource#">
	INSERT INTO Products (ItemID, SKU, ItemName, CategoryID, SubCatID, Description, Price, DiscAmt, DiscIsPct, DiscTrigger, MSRP, Weight, A1, A1Vals, A2, A2Vals, Units, Layout, Show_Inventory) 
	VALUES(#nextprodid.newid#, '#form.SKU#','#form.newprodname#', #form.CategoryID#, #form.SubCatID#, '#TRIM(form.Description)#', #form.Price#, #form.DiscAmt#, #form.DiscIsPct#, #form.DiscTrigger#, <cfif #form.MSRP# NEQ "">#form.MSRP#<cfelse>0</cfif>, #form.Weight#, '#form.A1#', '#form.A1Vals#', '#form.A2#', '#form.A2Vals#', '#form.Units#','#form.Layout#', #form.Show_Inventory#)
	</cfquery>

	<cfif #LEN(form.ItemPic)# GT 0>
	<cfquery datasource="#datasource#">
	INSERT INTO ProdPics (ItemID, ItemPic, Thumbnail) 
	VALUES (#nextprodid.newid#, '#form.ItemPic#', '#form.Thumbnail#')
	</cfquery>
	</cfif>
	
	<html>
	<BODY BACKGROUND="images/quickbg.gif" bgcolor="#FFFFFF">
	<br><br><br><br><br><br>
	<center>

	<table width="500">
	<tr>
	<cfoutput>
	<td align="center"><font face="verdana, arial, helvetica" SIZE="-1"><b>Product: #form.newprodname# has been added.</b></font></td>
	</cfoutput>
	</tr>
	<tr><td align="center"><a href="edit_cats.cfm?action=manage"><font face="verdana, arial, helvetica" SIZE="-1"><b>Back</b></font></a></td></tr>
	
	</table>
	<cfabort>


</cfif>
</cfif>
