<CFPROCESSINGDIRECTIVE
    SUPPRESSWHITESPACE="Yes">

<cfif NOT #parameterexists(URL.CategoryID)#>
<cfset URL.mode = "homepage">
<cfelse>
<cfset URL.mode = "category">
</cfif>


<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfquery datasource="#datasource#" name="check_order">
SELECT SUM(Quantity) as "itemcount" FROM Orders 
WHERE OrderID = #CFToken#
</cfquery>



	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.*,ProdPics.* FROM ProdPics
	RIGHT JOIN (Categories INNER JOIN Products ON Products.CategoryID = Categories.CategoryID) 
	ON Products.ItemID = ProdPics.ItemID

	<cfif #parameterexists(URL.CategoryID)#>
	WHERE Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.SubCatID = 0 
	AND (Products.Qty_In_Stock > 0 OR Products.Shipable = 1)
	<cfelseif #parameterexists(URL.SubCatID)#>
	WHERE Products.SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC"> 
	AND (Products.Qty_In_Stock > 0 OR Products.Shipable = 1) 
	<cfelse>
	WHERE (Products.Qty_In_Stock > 0 OR Products.Shipable = 1)
	</cfif>
	
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	ORDER BY Categories.Category
	</cfquery>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<P>
<P>

<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
<cfset URL.CategoryID = 2>
</cfif>

<!-- This section shows only when user clicks on a category -->	
<center>

<!--- ****************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a category link  --->
<!--- ****************************************************************************** --->

	<cfset rows = #prodpage.recordcount#*2>
	<cfif #parameterexists(URL.CategoryID)#>
		<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		WHERE TopCatID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> 
		ORDER BY SubCat
		</cfquery>
	</cfif>

	
		<cfset rows = #prodpage.recordcount#*2>
		
		<center>
		<table bgcolor="#FFFFFF" cellpadding="0" cellspacing="0" width="60%" border="0">
		<tr>
		<td>

		<table bgcolor="CCCCCC" cellspacing="1" cellpadding="4" border="0" width="100%">
		<tr>
		<td rowspan="<cfoutput>#rows#</cfoutput>" valign="top" bgcolor="FFFFFF" width="20%">


			<cfif #check_cats.RecordCount# GT 0>

			<cfinclude template="menu.cfm">

			</cfif>

		<br>
		<p>

		</td>		


		<td bgcolor=white valign="top">
			
		<!-- HERE INSERT THE STORE TEMPLATE -->


		<cfif #template# IS "Store 1">
		<cfinclude template="store1.cfm">
		<cfelseif #template# IS "Store 2">
		<cfinclude template="store2.cfm">
		<cfelseif #template# IS "Store 3">
		<cfinclude template="store3.cfm">
		<cfelseif #template# IS "Store 5">
		<cflocation URL="store5.cfm">
		<cfelseif #template# IS "Store 6">
		<cflocation URL="store6.cfm">
		<cfelseif #template# IS "Store 7">
		<cflocation URL="store7.cfm">
		<cfelse>
		<cflocation URL="prodpage.cfm">
		</cfif>



		</td>


		<!-- td rowspan="#rows#" valign="top" bgcolor="FFFFFF">


				<table border="0" cellpadding="0" cellspacing="1" bgcolor="ffffff">
				
				<tr><td nowrap align="center">
				<center><font class="boldtext">
				<font class="boldtext">Your cart contains<br><cfoutput>#NumberFormat(check_order.itemcount,"999")# item<cfif 							#check_order.itemcount# NEQ 1>s</cfif>
				<br><img src="images/cart.gif" valign="bottom">
				</td></tr>

				<tr><td bgcolor="white" nowrap align="center" valign="bottom">[<a href="insertorder.cfm?OrderID=#CFToken#">View Cart</a>]
				<p>



				<font class="boldtext">Category: <br>#GetToken(prodpage.Category, 1, "&")#<BR>
				<cfif #LEN(GetToken(prodpage.Category, 2, "&"))# GT 0>& #GetToken(prodpage.Category, 2, "&")#</cfif></font><br>
				<p>


				</td --></tr>



				</cfoutput>



				</table>

	

		<br>
		<p>

		</td>		

		</tr>
		</table>

		</td></tr>
		</table>
		</center>



				




</CFPROCESSINGDIRECTIVE>

</center>




