

<!-- read post from PayPal system and add 'cmd' -->
<CFSET str="cmd=_notify-validate">
<CFLOOP INDEX="TheField" list="#Form.FieldNames#">
<CFSET str = str & "&#LCase(TheField)#=#URLEncodedFormat(Evaluate(TheField))#">
</CFLOOP>
<CFIF IsDefined("FORM.payment_date")>
<CFSET str = str & "&payment_date=#URLEncodedFormat(Form.payment_date)#">
</CFIF>
<CFIF IsDefined("FORM.subscr_date")>
<CFSET str = str & "&subscr_date=#URLEncodedFormat(Form.subscr_date)#">
</CFIF>

<!-- post back to PayPal system to validate -->
<CFHTTP URL="https://www.paypal.com/cgi-bin/webscr?#str#" METHOD="GET" RESOLVEURL="false">
</CFHTTP>

<!-- assign posted variables to local variables -->
<!-- note: additional IPN variables also available -- see IPN documentation -->

<cfparam name="shipping" default=0>
<cfparam name="salestax" default=0>
<cfparam name="ordertotal" default=0>

<cfset numitems=FORM.num_cart_items>
<cfset counter=1>

<cfloop condition="counter LTE numitems">
<cfparam name="form.option_selection1_#counter#" default="">
<cfparam name="form.option_selection2_#counter#" default="">

<CFSET "item_name#counter#" = "form.item_name"&#counter#>
<CFSET "item_number#counter#"="form.item_number"&#counter#>
<CFSET "quantity#counter#"="form.quantity"&#counter#>

<CFIF LEN("form.option_selection1_"&#counter#) GT 0>
<CFSET "option_selection1_#counter#"="form.option_selection1_"&#counter#>
</CFIF>
<CFIF LEN("form.option_selection2_"&#counter#) GT 0>
<CFSET "option_selection2_#counter#"="form.option_selection2_"&#counter#>
</CFIF>

<cfset counter = counter+1>
</cfloop>

<CFSET receiver_email=FORM.receiver_email>
<CFSET payment_status=FORM.payment_status>
<CFSET payment_gross=FORM.payment_gross>
<CFSET shipping=FORM.mc_shipping1>
<CFSET salestax=FORM.tax>
<CFSET txn_id=FORM.txn_id>
<CFSET payer_email=FORM.payer_email>

<!-- check notification validation -->
<CFIF #CFHTTP.FileContent# is "VERIFIED">
<!-- check that payment_status=Completed -->
<!-- check that txn_id has not been previously processed -->
<!-- check that receiver_email is your email address -->

<cfif (#payment_status# IS "Completed" OR #payment_status# IS "Pending") AND #receiver_email# IS "#getParams.notifyemail#">

<cfif #payment_status# IS "Completed">
<cfset status = "Processing Order">
<cfelse>
<cfset status = "PAY PAL PENDING">
</cfif>

<!-- process payment -->

<cftransaction>

<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfif #parameterexists(form.address_street)#>
<cfset address_street = "#form.address_street#">
<cfelse>
<cfset address_street = "">
</cfif>

<cfif #parameterexists(form.address_city)#>
<cfset address_city = "#form.address_city#">
<cfelse>
<cfset address_city = "">
</cfif>

<cfif #parameterexists(form.address_state)#>
<cfset address_state = "#form.address_state#">
<cfelse>
<cfset address_state = "">
</cfif>

<cfif #parameterexists(form.address_zip)#>
<cfset address_zip = "#form.address_zip#">
<cfelse>
<cfset address_zip = "">
</cfif>

<cfif #parameterexists(form.address_country)#>
<cfset address_country = "#form.address_country#">
<cfelse>
<cfset address_country = "">
</cfif>


<cfmail from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#form.first_name# #form.last_name# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#securepath#/admin/index.cfm">Admin Console</a> to process orders! 
</cfmail>	


<cfquery datasource="#datasource#">
	INSERT INTO Customers (CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord) 
			VALUES('#form.first_name#','#form.last_name#', '', '#payer_email#', '#address_street#', '', '#address_city#', '#address_state#', '#address_zip#', '#address_country#', #nextnum#,
	'#DateFormat(Now(),"MM/DD/YY")#', #form.payment_gross#, 'na', 'na', 'na', 'na', 'na')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>


<cfset numitems=FORM.num_cart_items>
<cfset counter=1>

<cfloop condition="counter LTE numitems">
<CFSET "item_name#counter#" = "form.item_name"&#counter#>
<CFSET "item_number#counter#"="form.item_number"&#counter#>
<CFSET "quantity#counter#"="form.quantity"&#counter#>
<CFSET "option_selection1_#counter#"="form.option_selection1_"&#counter#>
<CFSET "option_selection2_#counter#"="form.option_selection2_"&#counter#>

		<cfquery datasource="#datasource#" name="needprice">
		SELECT Price FROM Products 
		WHERE ItemID = #EVALUATE(Evaluate("item_number#counter#"))#
		</cfquery>

		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status) 
		VALUES(#nextnum#, #getCustomerID.maxid#, #EVALUATE(Evaluate("item_number#counter#"))# , '', #EVALUATE(Evaluate("quantity#counter#"))#, #needprice.Price#, 0, '#EVALUATE(Evaluate("option_selection1_#counter#"))#', '#EVALUATE(Evaluate("option_selection2_#counter#"))#','#status#')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #EVALUATE(Evaluate("item_number#counter#"))#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #EVALUATE(Evaluate("quantity#counter#"))#)
		WHERE ItemID = #EVALUATE(Evaluate("item_number#counter#"))#
		</cfquery>

		<cfset ordertotal = ordertotal + needprice.Price>

<cfset counter = counter+1>
</cfloop>



	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax,  
		OrderDate, CustEMail, Notes, ShipDate, ShipMethod) 
		VALUES(#nextnum#, #getCustomerID.maxid#, #form.payment_gross#, #shipping#, #salestax#, 
			'#DateFormat(Now(),"MM/DD/YY")#',
			'#form.payer_email#', '', '#DateFormat(Now(),"MM/DD/YY")#', '')
	</cfquery>

	<cfset emailid = getCustomerID.maxid>

</cftransaction>

</cfif>

<CFELSEIF #CFHTTP.FileContent# is "INVALID">
<!-- log for investigation -->






<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<BR><BR><BR>

<TABLE>
<TR><TD><font style="boldtext">We're sorry, an error has prevented your transaction from completing properly. Please contact 
this site's administrator at <cfoutput>#getParams.notifyemail#</cfoutput>. Thank you.

</font>
</TD>
</TR>
</TABLER>

<cfoutput>
#CFHTTP.FileContent#
</cfoutput>

<CFELSE>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<BR><BR><BR>

<TABLE>
<TR><TD><font style="boldtext">We're sorry, an error has prevented your transaction from completing properly. Please contact 
this site's administrator at <cfoutput>#getParams.notifyemail#</cfoutput>.. Thank you.

</font>
</TD>
</TR>
</TABLE>


</CFIF>


