<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfif #check_cats.RecordCount# IS 0>
	<cfquery datasource="#datasource#" name="prodpage">
	SELECT * FROM Products 
	WHERE ItemID > 1 
	</cfquery>

<cfelse>	

	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.*,ProdPics.* 
	FROM Products, Categories, ProdPics 
	WHERE Products.CategoryID = Categories.CategoryID 
	AND ProdPics.ItemID = Products.ItemID
	<cfif #parameterexists(URL.CategoryID)#>
	AND Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.SubCatID = 0
	<cfelseif #parameterexists(URL.SubCatID)#>
	AND Products.SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
	</cfif>
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	ORDER BY Categories.Category
	</cfquery>
</cfif>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<br>
<cfif #check_cats.RecordCount# GT 0>
<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
	<cfif #check_cats.RecordCount# GT 0>
	
		<cfoutput query="prodcats">
		<cfif #CategoryID# GT 1><font class="boldtext"><a href="prodpage.cfm?#URLToken#&CategoryID=#CategoryID#">#prodcats.Category#</a></font><br></cfif>
		</cfoutput>
	
	</cfif>
	<cfoutput>
	<form name="search" action="search.cfm?#URLToken#" method="POST">
	<input type="hidden" name="OrderID" value=#OrderID#>
	</cfoutput>
	<table BORDER="0" align="center" width="80%">
	<tr><td valign="top" align="center">
	<input type="text" name="keyword" size="12"> <br><input type="image" name="SUBMIT" src="images/search.gif" border="0">




	</td></tr>
	</table>
	</form>
<cfelse>
	<cfif #template# IS "" OR #template# IS "Store 4">
	<center><cfoutput><font class="boldtext"><a href="prodpage.cfm?#URLToken#">ALL CATEGORIES</a></font></cfoutput></center>
	</cfif>
</cfif>
</cfif>

<!-- This section shows only when user clicks on a category -->	
<center>
<!--- ****************************************************************************** --->
<!--- The following behaviors only take place if there exists more than one category --->
<!--- ****************************************************************************** --->

<cfif #check_cats.RecordCount# GT 0>

<!--- ****************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a category link  --->
<!--- ****************************************************************************** --->

	<cfif #parameterexists(URL.CategoryID)#>
		<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		WHERE TopCatID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> 
		ORDER BY SubCat
		</cfquery>

		<cfoutput><center><font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		<center>
		<table width="65%" border="0">
		<tr>

		<cfoutput query="prodpage">
		<cfif #Qty_In_Stock# GT 0 OR #Shipable# IS 1>
		<form action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="qty" value="1">
		<input type="hidden" name="ItemID" value="#ItemID#">
		<input type="hidden" name="Price" value="#Price#">
		<input type="hidden" name="DiscAmt" value="#DiscAmt#">
		<input type="hidden" name="DiscIsPct" value="#DiscIsPct#">
		<input type="hidden" name="DiscTrigger" value="#DiscTrigger#">
		<input type="hidden" name="Weight" value=#Weight#>
		<input type="hidden" name="OrderID" value=#OrderID#>
		<!-- tr -->
		<td align="left" valign="bottom" bgcolor="ffffff" nowrap width="20%" rowspan="2">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#&SubCatID=#SubCatID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"></a> <cfelse><img src="images/th_noprod.gif" border="0"></cfif><br>
		<font class="boldtext"><a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font>  <!-- font class="text">#description#</font -->
		</td>

		<td colspan="5" valign="bottom" bgcolor="ffffff" width="40%"><font class="text">#description#</font>
		</td></tr>

		<tr>
		<td valign="bottom"><cfif #New# IS 1><img src="images/new.gif" border="0"></cfif><br></td>

		<cfif #LEN(A1)# GT 0>
		
		<td valign="bottom"><font class="text">#A1#</font><br>
		<select name="att1">
		<cfset attarray = #ListToArray(A1Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif #LEN(A2)# GT 0>
		<td valign="bottom"><font class="text">#A2#</font><br>
		<select name="att1">
		<cfset attarray = #ListToArray(A2Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif NOT #prodpage.A1Vals# CONTAINS "$" AND NOT #prodpage.A2Vals# CONTAINS "$">
		<td align="right" valign="bottom" nowrap bgcolor="ffffff"><br><font class="text"><cfif #MSRP# GT 0>#REG# <strike>#NumberFormat(MSRP, '$999.99')#</strike> <br>#SALE# #TRIM(NumberFormat(Price,"$999,999,999.99"))#<cfelse>#TRIM(NumberFormat(Price,"$999,999,999.99"))#</cfif></font></td>
		<cfelse>
		<td>&nbsp;</td>
		</cfif>

		<td align="center" valign="bottom" nowrap><cfif #Qty_In_Stock# GT 0><font class="stock">In stock</font><cfelse><font class="nostock">On Order</font></cfif><br><input type="image" src="images/addtocart.gif" valign="bottom">

		</td>
		</cfif>


		</tr>



		</form>

		<tr><td colspan="6" background="images/blackline.gif"></td></tr>		

		</cfoutput>
		<tr><td colspan="6">&nbsp;</td></tr>

		</table>
		</center>		

		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<font class="boldtext"><a href="prodpage.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#">#find_subcats.SubCat#</b></font><br>
		</cfoutput></td>
		</tr>
		
		<tr><td colspan="6" background="images/blackline.gif"></td></tr>		

		</table></center><br>
		</cfif>
		
		<cfif #template# IS "" OR #template# IS "Store 4">
		<cfoutput>
		<!-- Puts a view cart button under categories on product page whether or not you
		have begun shopping -->
		<form name="viewcart" action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="OrderID" value=#OrderID#>
		<table>
		<tr><td><input type="image" name="submit" src="images/viewcart.gif" border="0"></td></tr>
		</table>
		</form>
		</center>
		</cfoutput>
		</cfif>
		
		</center>
		<cfabort>

<!--- ********************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a sub-category link  --->
<!--- ********************************************************************************** --->

	<cfelseif #parameterexists(URL.SubCatID)#>
		<cfquery datasource="#datasource#" name="getsubcats">
		SELECT SubCat FROM SubCats 
		WHERE SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC"> 
		</cfquery>

		<cfoutput><center><font class="boldtext">#getsubcats.SubCat#</font></center></cfoutput><br>
		<table width="65%" border="0">
		<tr>

		<cfoutput query="prodpage">
		<cfif #Qty_In_Stock# GT 0 OR #Shipable# IS 1>
		<form action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="qty" value="1">
		<input type="hidden" name="ItemID" value="#ItemID#">
		<input type="hidden" name="Price" value="#Price#">
		<input type="hidden" name="DiscAmt" value="#DiscAmt#">
		<input type="hidden" name="DiscIsPct" value="#DiscIsPct#">
		<input type="hidden" name="DiscTrigger" value="#DiscTrigger#">
		<input type="hidden" name="Weight" value=#Weight#>
		<input type="hidden" name="OrderID" value=#OrderID#>
		<!-- tr -->
		<td align="left" valign="bottom" bgcolor="ffffff" nowrap width="20%" rowspan="2">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#&SubCatID=#SubCatID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"></a> <cfelse><img src="images/th_noprod.gif" border="0"></cfif><br>
		<font class="boldtext"><a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font>  <!-- font class="text">#description#</font -->
		</td>

		<td colspan="5" valign="bottom" bgcolor="ffffff" width="40%"><font class="text">#description#</font>
		</td></tr>

		<tr>
		<td valign="bottom"><cfif #New# IS 1><img src="images/new.gif" border="0"></cfif><br></td>

		<cfif #LEN(A1)# GT 0>
		
		<td valign="bottom"><font class="text">#A1#</font><br>
		<select name="att1">
		<cfset attarray = #ListToArray(A1Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif #LEN(A2)# GT 0>
		<td valign="bottom"><font class="text">#A2#</font><br>
		<select name="att1">
		<cfset attarray = #ListToArray(A2Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif NOT #prodpage.A1Vals# CONTAINS "$" AND NOT #prodpage.A2Vals# CONTAINS "$">
		<td align="right" valign="bottom" nowrap bgcolor="ffffff"><br><font class="text"><cfif #MSRP# GT 0>#REG# <strike>#NumberFormat(MSRP, '$999.99')#</strike> <br>#SALE# #TRIM(NumberFormat(Price,"$999,999,999.99"))#<cfelse>#TRIM(NumberFormat(Price,"$999,999,999.99"))#</cfif></font></td>
		<cfelse>
		<td>&nbsp;</td>
		</cfif>

		<td align="center" valign="bottom" nowrap><cfif #Qty_In_Stock# GT 0><font class="stock">In stock</font><cfelse><font class="nostock">On Order</font></cfif><br><input type="image" src="images/addtocart.gif" valign="bottom">

		</td>
		</cfif>


		</tr>



		</form>

		<tr><td colspan="6" background="images/blackline.gif"></td></tr>		

		</cfoutput>
		<tr><td colspan="6">&nbsp;</td></tr>

		</table>
		<cfif #template# IS "" OR #template# IS "Store 4">
		<cfoutput>
		<!-- Puts a view cart button under categories on product page whether or not you
		have begun shopping -->
		<form name="viewcart" action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="OrderID" value=#OrderID#>
		<table>
		<tr><td><input type="image" name="submit" src="images/viewcart.gif" border="0"></td></tr>
		</table>
		</form>
		</center>
		</cfoutput>
		</cfif>
		
		</center>
		<cfabort>

	</cfif>

 <cfelse>

<!--- ******************************************************************** --->
<!--- The following behaviors take place if there exists only one category --->
<!--- ******************************************************************** --->

	<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		ORDER BY SubCat
		</cfquery>
		<br>
		<cfoutput><center><font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		<tr>
		<cfoutput query="prodpage">
		<td colspan="4" bgcolor="BFDFFF"><font class="boldtext"><a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font></td></tr>
		</cfoutput>
		</table>
				
		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<font class="boldtext"><a href="prodpage.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#">#find_subcats.SubCat#</a></font><br>
		</cfoutput></td>
		</tr>
		
		</table></center><br>
		</cfif>

		<cfoutput>
		<!-- Puts a view cart button under categories on product page whether or not you
		have begun shopping -->
		<form name="viewcart" action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="OrderID" value=#OrderID#>
		<table>
		<tr><td><input type="image" name="submit" src="images/viewcart.gif" border="0"></td></tr>
		</table>
		</form>
		</center>
		</cfoutput>
		
		</center>
		<cfabort>
</center> 
</cfif>



