<!-- 
*************************************************
DoVoidReceipt.cfm

This page takes necessary parameter from DoVoidReceipt.cfm page 
and pssing into doHttppost function which takes request value
as Struct Object it will call cfhttp tag to perform DoVoid. This 
page will show the response value coming from the Server. If 
any error occurs, the page will redirect to APIError.cfm to 
show exact error details

*************************************************
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>PayPal SDK - DoVoid Response</title>
    <link href="sdk.css" rel="stylesheet" type="text/css" />
</head>
<body>
<cfset StructClear(Session)>
<CFOBJECT COMPONENT="CallerService" NAME="caller">
<CFTRY>

<CFSET requestData = StructNew()>
<CFSET requestData.METHOD = "DOVoid">
<CFSET requestData.USER = "#APIUserName#">
<CFSET requestData.PWD = "#APIPassword#">
<CFSET requestData.SIGNATURE = "#APISignature#">
<CFSET requestData.VERSION = "#version#">
<CFSET requestData.AUTHORIZATIONID = "#Form.authorization_id#">
<CFSET requestData.NOTE = "#Form.note#">

<!--- 
	Calling doHttppost for API call 
--->
<cfinvoke component="CallerService" method="doHttppost" returnvariable="response">

	<cfinvokeargument name="requestData" value=#requestData#>
	<cfinvokeargument name="serverURL" value=#serverURL#>
	<cfinvokeargument name="proxyName" value=#proxyName#>
	<cfinvokeargument name="proxyPort" value=#proxyPort#>
	<cfinvokeargument name="useProxy" value=#useProxy#>

</cfinvoke>

<CFSET responseStruct = caller.getNVPResponse(#URLDecode(response)#)>
<CFSET messages = ArrayNew(1)>
<CFSET Session.resStruct ="#responseStruct#">
<CFIF responseStruct.Ack is "Success">
    <center>
    <table class="api">
        <tr>
            <td colspan="2" class="header">
                DoVoid
            </td>
        </tr>
        <tr>
            <td colspan="2" class="header">
                Authorization voided!
            </td>
        </tr>
        <tr>
            <td class="field">
                Authorization ID:</td>
            <td><CFOUTPUT>#responseStruct.AUTHORIZATIONID#</CFOUTPUT></td>
        </tr>
    </table>
    </center>
</CFIF>
    <CFIF responseStruct.Ack is "Failure">
    <CFLOCATION URL="APIError.cfm?error=fromServer">
</CFIF>

<CFCATCH>
	<CFSET responseStruct = StructNew() >
	<CFSET responseStruct.errorType =  "#cfcatch.type#">
	<CFSET responseStruct.errorMessage =  "#cfcatch.message#">
	<CFSET Session.resStruct = "#responseStruct#">
	<CFLOCATION URL="APIError.cfm?error=fromClient">

</CFCATCH>
</CFTRY>

   <a class="home" id="CallsLink" href="index.html">Home</a>
</body>
</html>