<cfparam name="Discount" default="0">

<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.ItemID,Orders.TotItemWeight,Orders.Att1,Orders.Att2,
	Products.Price,Products.ItemName,Products.SKU,Products.Units 
	FROM Orders, Products 
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = <cfqueryparam value="#form.OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>


<cfif #showorder.RecordCount# IS 0>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br><br>
<center>
<font face="arial, helvetica" size="-1"><b>Your cart is empty!</b></font><br>
<a href="prodpage.cfm"><font class="boldtext">Back</font></a>
</center>
		<cfinclude template="page_footer.cfm">
<cfabort>
</cfif>


<cftransaction>

<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->


<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#form.FName# #form.LName# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#getParams.store_url#/admin/index.cfm">Admin Console</a> to process orders!
</cfmail>	

<cfelse>
<cfmail from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#form.FName# #form.LName# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#getParams.store_url#/admin/index.cfm">Admin Console</a> to process orders!
</cfmail>	
</cfif>

<!--- IF YOU WISH TO RECEIVE ORDERS BY E-MAIL, WHICH IS NOT EXACTLY RECOMMENDED FOR SECURITY REASONS 
YOU CAN UNCOMMENT THIS CFINCLUDE --->

<!-- CFINCLUDE TEMPLATE="mail_order.cfm" -->


 

<cfset ccexpires = '#form.cc_expmonth#/#form.cc_expyear#'>

<cfif #form.id# NEQ 0>
<CFQUERY datasource="#datasource#" NAME="getCust">
SELECT CustFName, CustLName, CustEMail   
FROM Customers 
WHERE CustID = <cfqueryparam value="#form.id#" cfsqltype="CF_SQL_NUMERIC">
</CFQUERY>

<cfset FirstName = #UCASE(getCust.CustFName)#>
<cfset LastName = #UCASE(getCust.CustLName)#>
<cfset email = #UCASE(getCust.CustEMail)#>



	<cfif 
	#FirstName# IS "#UCASE(form.FName)#" 
	AND 
	#LastName# IS "#UCASE(form.LName)#"
	AND 
	#email# IS "#UCASE(form.EMail)#">

	<cfquery datasource="#datasource#">

	UPDATE Customers 
	SET 	CustFName='#form.FName#',
		CustLName='#form.LName#',
		CustPhone='#form.Phone#',
		CustEMail='#form.Email#',
		CustAddress1='#form.Address1#',
		CustAddress2='#form.Address2#',
		CustCity='#form.City#',
		CustState='#form.State#',
		CustZip='#form.Zip#',
		CustCountry='#form.Country#',
		LastOrderID=#form.OrderID#,
		LastOrderDate='#DateFormat(Now(),"MM/DD/YY")#',
		LastOrderAmt=#GrandTotal#,
		CCName='#form.CCName#',
		CCType='#form.CCType#',
		CCExpires='#ccexpires#'
		<cfif #form.remembercc# CONTAINS "on">
		,CustPWord = '#form.custpword#'
		</cfif>
	WHERE CustID = <cfqueryparam value="#form.id#" cfsqltype="CF_SQL_NUMERIC"> 
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, 
		Att1, Att2, Status) 
		VALUES(#nextnum#,#form.id#,#ItemID#,'#SKU#',#Quantity#,#ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Processing Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = <cfqueryparam value="#itemID#" cfsqltype="CF_SQL_NUMERIC">
		</cfquery>

	</cfloop>
	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, 
		OrderDate, CustEMail, Notes, ShipDate, ShipMethod, ShipName, ShipAddress, ShipCity, 
		ShipState, ShipZip) 
		VALUES(#nextnum#, #form.id#, <cfif #GrandTotal# GT 0>#GrandTotal#<cfelse>0</cfif>, 
			<cfif #Shipping# GT 0>#NumberFormat(Shipping,'99999.99')#<cfelse>0</cfif>, 
			<cfif #salestax# GT 0>#salestax#<cfelse>0</cfif>,'#DateFormat(Now(),"MM/DD/YY")#',
			'#form.Email#','','#DateFormat(Now(),"MM/DD/YY")#', <cfif #parameterexists(form.optionpicked)#>'#form.optionpicked#'<cfelse>''</cfif>,
			<cfif #LEN(ShipName)# GT 0>'#ShipName#'<cfelse>'#form.FName# #form.LName#'</cfif>,
			<cfif #LEN(ShipAddress1)# GT 0>'#ShipAddress1#'<cfelse>'#form.Address1# #form.Address2#'</cfif>,
			<cfif #LEN(ShipCity)# GT 0>'#ShipCity#'<cfelse>'#form.City#'</cfif>,
			<cfif #LEN(ShipState)# GT 0>'#ShipState#'<cfelse>'#form.State#'</cfif>,
			<cfif #LEN(ShipZip)# GT 0>'#ShipZip#'<cfelse>'#form.Zip#'</cfif>)
	</cfquery>

	<cfset emailid = #form.id#>	

	<CFCOOKIE NAME="Return_Cust" VALUE="#form.EMail#" EXPIRES="NEVER">

	</cfif>

<cfelse>

<cfquery datasource="#datasource#">
	INSERT INTO Customers (CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, 
	CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, 
	CCType, CCNum, CCExpires, CustPWord) 
	VALUES('#form.FName#','#form.LName#', '#form.Phone#', '#form.Email#', '#form.Address1#', '#form.Address2#', '#form.City#', '#form.State#', '#form.Zip#', '#form.Country#', #form.OrderID#,
	'#DateFormat(Now(),"MM/DD/YY")#', <cfif #GrandTotal# GT 0>#GrandTotal#<cfelse>0</cfif>, '#form.CCName#', '#form.CCType#', '', '', '#form.custpword#')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, 
		Att1, Att2, Status) 
		VALUES(#nextnum#, #getCustomerID.maxid#, #ItemID#,'#SKU#', #Quantity#, #ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Processing Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = <cfqueryparam value="#itemID#" cfsqltype="CF_SQL_NUMERIC">
		</cfquery>

	</cfloop>
	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, Discount, 
		OrderDate, CustEMail, Notes, ShipDate, ShipMethod, ShipName, ShipAddress, ShipCity, 
		ShipState, ShipZip) 
		VALUES(#nextnum#, #getCustomerID.maxid#, <cfif #GrandTotal# GT 0>#GrandTotal#<cfelse>0</cfif>, 
			<cfif #Shipping# GT 0>#NumberFormat(Shipping,'99999.99')#<cfelse>0</cfif>, 
			<cfif #salestax# GT 0>#salestax#<cfelse>0</cfif>,<cfif #Discount# GT 0>-#Discount#<cfelse>0</cfif>, '#DateFormat(Now(),"MM/DD/YY")#',
			'#form.Email#','','#DateFormat(Now(),"MM/DD/YY")#', <cfif #parameterexists(form.optionpicked)#>'#form.optionpicked#'<cfelse>''</cfif>,
			<cfif #LEN(ShipName)# GT 0>'#ShipName#'<cfelse>'#form.FName# #form.LName#'</cfif>,
			<cfif #LEN(ShipAddress1)# GT 0>'#ShipAddress1#'<cfelse>'#form.Address1# #form.Address2#'</cfif>,
			<cfif #LEN(ShipCity)# GT 0>'#ShipCity#'<cfelse>'#form.City#'</cfif>,
			<cfif #LEN(ShipState)# GT 0>'#ShipState#'<cfelse>'#form.State#'</cfif>,
			<cfif #LEN(ShipZip)# GT 0>'#ShipZip#'<cfelse>'#form.Zip#'</cfif>)
	</cfquery>

	<cfset emailid = getCustomerID.maxid>

</cfif>

<cfif #form.remembercc# CONTAINS "on">
	
	<CFCOOKIE NAME="Return_Cust" VALUE="#form.EMail#" EXPIRES="NEVER">
	
</cfif>

<!--- Delete order from temporary "Orders" table --->

<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE OrderID = <cfqueryparam value="#form.OrderID#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>

</cftransaction>

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<cfoutput>
<br>
<table width=40%>
<tr><td>
<font class='boldtext' color="black">Thank you for your order, #form.FName#!<br>
Please print this page for your records.</font>
<br>

<p>
<font class='text'>
Name: #form.FName# #form.LName#<br>
Address - Line 1: #form.Address1#<br>
Address - Line 2: #form.Address2#<br>
City, State Zip: #form.City#, #form.State# #form.Zip#<br>
Country: #form.Country#<br>
Phone: #form.Phone#<br>
E-Mail: #form.Email#<br>
Credit Card: #form.CCType#<br>
Card Number: xxxx-xxxx-xxxx-#Right(form.CCNumber,4)#<br>

Expiration: #form.cc_expmonth#/#form.cc_expyear#<br>
</font>
<p>
<TABLE CELLSPACING='0' cellpadding='5' border=0 bordercolor='maroon'>
<TR BGCOLOR='A3CCFF'>
<TD><font class='boldtext'>Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD>
<TD><font class='boldtext'>SKU</font></TD>
<TD><font class='boldtext'>Price</font></TD>
<TD align='right'><font class='boldtext'>Qty</font></TD>
<TD align='right'><font class='boldtext'>Total</font></TD><TD align='right'>&nbsp;</TD>
</TR>

#orderitems#

<cfif #couponused# IS "Y">
<TR bgcolor='##CCE6FF'>
<TD bgcolor='##CCE6FF' colspan=3><font class="text">Coupon Discount</font></TD>
<TD bgcolor='##CCE6FF'>&nbsp;</TD><TD bgcolor='##CCE6FF'>&nbsp;</TD>
<TD bgcolor='##CCE6FF' COLSPAN=2 align='right' bgcolor='##CCE6FF'><font class='text'>-#DollarFormat(form.Discount)#</font></TD>
<TD>&nbsp;</TD>
</TR>
</cfif>

<TR bgcolor='CCE6FF'><TD bgcolor='CCE6FF' colspan=3><font class='boldtext'>Order SubTotal</font></TD>
<TD bgcolor='CCE6FF'>&nbsp;</TD><TD bgcolor='CCE6FF'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='CCE6FF'><font class='boldtext'>#TRIM(NumberFormat(OrderTotal,'$999,999,999.99'))#</font></TD><TD bgcolor='CCE6FF'>&nbsp;</TD></TR>
#shippinglineitem#
#salestaxinput#
<TR><TD><font class='boldtext'>Order Total</font></TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
<TD COLSPAN=4 align='right'><font class='boldtext'>#TRIM(NumberFormat(GrandTotal,'$999,999,999.99'))#</font></TD></TR>

<cfif #form.shipto# CONTAINS 'on'>
<TR BGCOLOR='A3CCFF'><TD COLSPAN=8><font class='boldtext'>Ship to:</font></TD></TR>
<TR BGCOLOR=E2E2E2><TD COLSPAN=8><font class='text'>Name: #form.ShipName#<br>
Address: #form.ShipAddress1#<br>
City, State Zip: #form.ShipCity#, #form.ShipState# #form.ShipZip#<br>
Country: #form.ShipCountry#<br></font></TD></TR>
</cfif>

</TABLE>

<BR>
<p><font class='text'>Back to <a href="#storeurl#/index.cfm" target="_top">Homepage</a></b></font></cfoutput>
</td></tr>
</table>
</CENTER>

<cfif #selfservice# IS "yes">

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.<br>
To check the status of your order at any time, go to #storeurl#/custservice/orderstatus.cfm?checksum=#nextnum##Right(form.CCNumber,4)#&EMail=#form.Email#&CustID=#emailid#
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#form.Email#" Subject="#storename# Order">
Dear #form.FName#,
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.<br>
To check the status of your order at any time, go to #storeurl#/custservice/orderstatus.cfm?checksum=#nextnum##Right(form.CCNumber,4)#&EMail=#form.Email#&CustID=#emailid#
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

</cfif>

<cfelse>

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,<br>
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,<br>
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

</cfif>




</cfif>

		<cfinclude template="page_footer.cfm">
<cfabort>
