<cfset caller.ups_name="Three-Day Select">
<!--- 
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_3dscomm.Weight,
		ups_3dscomm.Zone302,
		ups_3dscomm.Zone303,
		ups_3dscomm.Zone304,
		ups_3dscomm.Zone305,
		ups_3dscomm.Zone306,
		ups_3dscomm.Zone307,
		ups_3dscomm.Zone308
	FROM ups_3dscomm
	WHERE 
		ups_3dscomm.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_3dscomm.Weight DESC
</cfquery>
<!--- 
Now we pull the rate itself from the service database 
--->
<cfswitch expression="#ZoneGrab.ThreeDay#">
	<cfcase value="302"><cfset caller.ups_Charge=RateGrab.Zone302></cfcase>
	<cfcase value="303"><cfset caller.ups_Charge=RateGrab.Zone303></cfcase>
	<cfcase value="304"><cfset caller.ups_Charge=RateGrab.Zone304></cfcase>
	<cfcase value="305"><cfset caller.ups_Charge=RateGrab.Zone305></cfcase>
	<cfcase value="306"><cfset caller.ups_Charge=RateGrab.Zone306></cfcase>
	<cfcase value="307"><cfset caller.ups_Charge=RateGrab.Zone307></cfcase>
	<cfcase value="308"><cfset caller.ups_Charge=RateGrab.Zone308></cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
</cfswitch>
<!--- 
test for and include the Extended Area and Residential surcharges if applicable 
--->
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfif not CompareNoCase(attributes.ResRates,"YES")>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.ThreeDayResDASCharge>
	<cfelse>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.ThreeDayComDASCharge>
	</cfif>
</cfif>
<cfif caller.ups_Charge GT 0 and not CompareNoCase(attributes.ResRates,"YES")>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.ThreeDayResCharge>			
</cfif>
