<!--- 
Grab the appropriate weight record
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1"
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_ww_xpr.Weight,
		ups_ww_xpr.Zone80,
		ups_ww_xpr.Zone81
	FROM ups_ww_xpr
	WHERE 
		ups_ww_xpr.Weight<=
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
	ups_ww_xpr.Weight DESC
</cfquery>
<!--- 
Now that we have the weight record, apply the appropriate zone charge.  
If the zone isn't found, return an error. 
--->
<!--- 
We have to run either standard rate calcs, or those for Dade/Broward depending 
on the Origin parameter.  All of the zones in the table are accounted for here even 
though Zones 80 and 84 are unique to each origin set.
--->
<cfswitch expression="#ZoneGrab.Express#">
	<cfcase value="81"><cfset caller.ups_Charge=RateGrab.Zone81></cfcase>
	<cfcase value="82"><cfset caller.ups_Charge=RateGrab.Zone82></cfcase>
	<cfdefaultcase>
		<cfset caller.ups_Error="That service is unavailable in the destination area (Zone record not found). Please try a different plan">
	</cfdefaultcase>
</cfswitch>